amd

Acer Aspire A315 IOAPIC failure on Ubuntu 18.04, kernel hangs, can't load, kernel freeze (AMD Ryzen 5/Radeon/Raven) / AMDGPU Hybrid crash

Bug #1776563 reported by Richard Baka on 2018-06-12
90
This bug affects 17 people
Affects Status Importance Assigned to Milestone
Linux
Fix Released
Medium
amd
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned

Bug Description

CPU: Ryzen 5 2500U
VGA: Radeon 535
Notebook: Acer Aspire A315

This is a brand new notebook on the market with Ryzen 5/Radeon.
The default kernel of Ubuntu(18.04) hangs at loading with message:

tsc: Refined TSC clocksource calibration: 1996.250 MHz
clocksource: tsc: mask: 0xffffffffffffffff max_cycles: (...), max_idle_ns: (...)
Soft lockup

Using pci=noacpi kernel parameter kernel loads without any problem but my notebook produces more heat than on Win10. If I know right Acer notebooks need ACPI to the correct power management.

The same thing happens on mainline 4.17,4.18rc1-2.
BIOS upgrade to the latest version: 1.08 hasn't helped

This problem has been reported upstream:
https://bugzilla.kernel.org/show_bug.cgi?id=200087

The latest correctly working kernel was 4.13.* but the heat problem was present with this too.

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1776563

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: bionic

apport-collect 1776563 can't be entered because the kernel can not load.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
summary: - Acer Aspire A315 (Ryzen5/Radeon/FHD) Ubuntu 18.04 kernel cant load
+ Ubuntu 18.04 kernel can't load kernel on Acer Aspire A315
+ (Ryzen5/Radeon/FHD)
summary: - Ubuntu 18.04 kernel can't load kernel on Acer Aspire A315
- (Ryzen5/Radeon/FHD)
+ Ubuntu 18.04 can't load kernel on Acer Aspire A315 (Ryzen5/Radeon/FHD)
no longer affects: bugzilla (Ubuntu)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in xserver-xorg-video-amdgpu (Ubuntu):
status: New → Confirmed
Freihut (freihut) wrote :

Had this on my A315 too, but I returned it to the vendor. Seems to be an UEFI-Bug, because it doesn't happened with my Ryzen 2500U from HP. Could also be related to that Ryzen/Radeon 535 combination (Vega/CGN 3).

On Grub-Menu press E and add "pci=noacpi" as kernel-parameter (where normally "quite splash" is). Then go on booting by pressing F10.
Sometimes (XFCE) it was also necessary to add "nomodeset" to boot, Gnome for example didn't need it (AFAIK).

I remember, I also needed to install amd's pro driver (for 18.04) via amdgpu-pro-install to get rid of the "nomodeset". I was able to run amdgpu-pro-uninstall later and still not needed the "nomodeset". Could be related to my system, but you may give it a try.
I was also using Kernel 4.17 (Mainline), which is available on http://kernel.ubuntu.com/~kernel-ppa/mainline/ or with UKUU https://www.omgubuntu.co.uk/2017/02/ukuu-easy-way-to-install-mainline-kernel-ubuntu

Richard Baka (bakarichard91) wrote :

Thanks Freihut, I will try this.

Richard Baka (bakarichard91) wrote :

It works but very slow. This could be an ACPI problem.

Richard Baka (bakarichard91) wrote :

I installed the new amdgpu pro driver and everything is very fast now. This bug should be reported to freedesktop, would you like somebody to do it? :D

Richard Baka (bakarichard91) wrote :

*Sorry correction: Who would like to do it? :D

Richard Baka (bakarichard91) wrote :

"The fact that ACPI was designed by a group of monkeys high on LSD, and is some of the worst designs in the industry obviously makes running it at any point pretty damn ugly."
Torvalds, Linus (2005-07-31). Message. linux-kernel mailing list. IU. Retrieved on 2006-08-28.

Richard Baka (bakarichard91) wrote :

Power management doesn't work well this way. It was hot a little. I've changed back to win10. This should be fixed by kernel developers or with a downstream patch.

Created attachment 276583
dmesg after starting kernel with pci=noacpi

This is a brand new notebook on the market with Ryzen 5/Radeon. With disabled ACPI kernel boots without any problem but my notebook produces more heat than on Win10. Otherwise this happens when it is stayed on the bios screen in a while.

CPU: AMD Ryzen 5 2500U
GPU1: AMD Radeon Vega 8
GPU2: AMD Radeon 535

(I wrote to Acer to fix their bios problems but they said Linux is not supported. I don't think they are right but what can I do?)

Created attachment 276585
attachment-31427-0.html

Out of office 6/18-6/27

Created attachment 276587
Soft lockup failure without noacpi

Nothing changes with disabled iommu.

Created attachment 276589
dmesg after amd_iommu_dump=1

[ 0.000000] AMD-Vi: Using IVHD type 0x11
[ 0.000000] AMD-Vi: device: 00:00.2 cap: 0040 seg: 0 flags: b0 info 0000
[ 0.000000] AMD-Vi: mmio-addr: 00000000fd900000
[ 0.000000] AMD-Vi: DEV_SELECT_RANGE_START devid: 00:01.0 flags: 00
[ 0.000000] AMD-Vi: DEV_RANGE_END devid: ff:1f.6
[ 0.000000] AMD-Vi: DEV_ALIAS_RANGE devid: ff:00.0 flags: 00 devid_to: 00:14.4
[ 0.000000] AMD-Vi: DEV_RANGE_END devid: ff:1f.7
[ 0.000000] AMD-Vi: DEV_SPECIAL(HPET[0]) devid: 00:14.0
[ 0.000000] AMD-Vi: DEV_SPECIAL(IOAPIC[33]) devid: 00:14.0
[ 0.000000] AMD-Vi: DEV_SPECIAL(IOAPIC[34]) devid: 00:00.1
[ 0.000000] [Firmware Bug]: AMD-Vi: No southbridge IOAPIC found

no longer affects: xserver-xorg-video-amdgpu (Ubuntu)

Created attachment 276591
Error message before freezing (without quite splash)

Please try booting with linux 4.18-rc1 or later. Also, please try 4.18-rc1+ with/without ACPI

Hi Erik,

Absolutely the same thing on 4.18rc1 and on rc2 too.

Fedora loads without any additional parameters(mysterious).

[ 0.000000] Switched APIC routing to physical flat.
[ 0.002000] ..TIMER: vector=0x30 apic1=0 pin1=2 apic2=-1 pin2=-1
[ 0.007000] tsc: Fast TSC calibration using PIT
[ 0.008000] tsc: Detected 1996.299 MHz processor
[ 0.008000] clocksource: tsc-early: mask: 0xffffffffffffffff max_cycles: 0x398d0c7513b, max_idle_ns: 881590744042 ns
[ 0.008000] Calibrating delay loop (skipped), value calculated using timer frequency.. 3992.59 BogoMIPS (lpj=1996299)

Heat production may be still present but I can't measure it because there is no temperature values in "sensors" (there is 5 values in Win10).

Created attachment 277069
Fedora loads without noacpi

summary: - Ubuntu 18.04 can't load kernel on Acer Aspire A315 (Ryzen5/Radeon/FHD)
+ Acer Aspire A315 ACPI failure on Ubuntu 18.04 (Ryzen5/Radeon/FHD)
summary: - Acer Aspire A315 ACPI failure on Ubuntu 18.04 (Ryzen5/Radeon/FHD)
+ Acer Aspire A315 ACPI failure on Ubuntu 18.04 (Ryzen5/Radeon)
summary: - Acer Aspire A315 ACPI failure on Ubuntu 18.04 (Ryzen5/Radeon)
+ Acer Aspire A315 ACPI failure on Ubuntu, kernel hangs, can't load 18.04
+ (Ryzen5/Radeon)
summary: - Acer Aspire A315 ACPI failure on Ubuntu, kernel hangs, can't load 18.04
+ Acer Aspire A315 ACPI failure on Ubuntu 18.04, kernel hangs, can't load
(Ryzen5/Radeon)
description: updated
summary: Acer Aspire A315 ACPI failure on Ubuntu 18.04, kernel hangs, can't load
- (Ryzen5/Radeon)
+ (AMD Ryzen 5/Radeon/Raven)
summary: - Acer Aspire A315 ACPI failure on Ubuntu 18.04, kernel hangs, can't load
- (AMD Ryzen 5/Radeon/Raven)
+ Acer Aspire A315 ACPI failure on Ubuntu 18.04, kernel hangs, can't load,
+ kernel freeze (AMD Ryzen 5/Radeon/Raven)

Erik, I think this is in connection with clocksource calibration but I'm not an expert.

This works:
[ 0.007000] tsc: Fast TSC calibration using PIT
[ 0.008000] tsc: Detected 1996.299 MHz processor
[ 0.008000] clocksource: tsc-early: mask: 0xffffffffffffffff max_cycles: 0x398d0c7513b, max_idle_ns: 881590744042 ns

This doesn't:
[...] tsc: Refined tsc clocksource calibration: ...
[...] clocksource: tsc: mask: 0xfff...f (...)

Changed in linux:
importance: Unknown → Medium
status: Unknown → Incomplete

Hi, I was trying another kernel parameters and noapic seems to work. It is not needed to disable the whole ACPI "service", however I don't know how important apic is. On kernel 4.18 even temperature sensors appear.
Power management is almost perfect if cpu governor is set to powersave.

At least amdgpu crashes now so kernel doesn't start without nomodeset. Could this be an acpi problem or I should ask kernel firmware developers?

Hi,
amdgpu doesn't crash on my a315-41g-r40x (BIOS V1.08) with
  linux-next-next-20180713 compiled with VGA_SWITCHEROO=N
and with
  kernel parameters: ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2

gg71, where have you been till now? :D
Thanks, I will try it.

gg71, it works almost perfectly, thanks again. I have been working on this for ca one month. Please write a mail to me if you have any new info.

The solution for Acer A315-41G-* notebooks: (USE AT YOUR OWN RISK - PLS be very careful)

1. Load kernel with these parameters: ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2 nomodeset
This is how it can be done (1. answer/first half 1-4): https://askubuntu.com/questions/19486/how-do-i-add-a-kernel-boot-parameter

1/b.(if it is not installed) Install ubuntu and load installed kernel again using the parameters (see 1.)

2. Start a terminal and do these steps:
> cd ~
> mkdir kernelbuild
> cd kernelbuild
> wget -c https://cdn.kernel.org/pub/linux/kernel/v4.x/linux-4.17.6.tar.xz
> tar -xvf linux-4.17.6.tar.xz
> cd linux-4.17.6
> sudo apt install git build-essential kernel-package fakeroot libncurses5-dev libssl-dev ccache bison flex
> make menuconfig
+> Save,OK,EXIT
> nano .config
+> ctrl+w and search for CONFIG_VGA_SWITCHEROO=y
+> replace y with n (this is not ideal and should be fixed later)
+> ctrl+o, enter
> make -j4 (this will take a while, be patient)
> make modules_install
> sudo make install
> sudo nano /etc/default/grub
+> Edit the correct line and add the parameters: GRUB_CMDLINE_LINUX_DEFAULT="quiet splash ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2"
+>CTRL+O, enter
>sudo update-grub
+> reboot and start the correct kernel

If you install xsensors (sudo apt install xsensors) and start it (xsensors) you can monitor the temperature values of your notebook. (Recommended)

Richard Baka (bakarichard91) wrote :

Dear Ubuntu maintainers,

couldn't this be fixed by an ubuntu kernel patch? The hardest part is to disable gpu switching at kernel load time. APIC fixing parameters can be hardcoded for these models I think or search for the correct pci controller using a smart script.

This was a hell of an investigation, never again. Thanks for gg71, he/she is a lifesaver.

Hi Richard:

This issue should be related to the buggy BIOS ivrs table.
Kernel panic when found no southbridge device ID.

Could you try boot kernel with "amd_iommu_dump=1 amd_iommu=off" (remove other kernel parameters you tried to solve this issue).

If it works, please attach the dmesg here.
I will try to make a kernel patch to make kernel boot with irq map disabled instead of panic.

Richard Baka (bakarichard91) wrote :

Hi AaronMa,

thanks for the response. I tried it but it didn't work. I think iommu problem is not the main reason of the kernel hang. Otherwise it can be disabled in BIOS and there is no change.

The main reason is: https://bugzilla.kernel.org/attachment.cgi?id=276587 like you can se on this picture is that IOAPIC[4] and IOAPIC[5] are not in the invrs table so we should search the correct pci controllers using lspci and give them to the kernel.

In this way:
LINUX_DEFAULT="quiet splash ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2"

Kernel can be started even with noapic but two sensors will be missing and the advanced touchpad functions will not work. This is the reason of CONFIG_VGA_SWITCHEROO=n compile time kernel parameter.

There is an another problem: this notebook has two GPUs and amdgpu (or the kernel, I don't know) can not handle this correctly so gpu switching has to be disabled

Richard Baka (bakarichard91) wrote :

Kernel can be started even with noapic but two sensors will be missing and the advanced touchpad functions will not work.

!!!This line is not here: This is the reason of CONFIG_VGA_SWITCHEROO=n compile time kernel parameter.

There is an another problem: this notebook has two GPUs and amdgpu (or the kernel, I don't know) can not handle this correctly so gpu switching has to be disabled
!!!But here: This is the reason of CONFIG_VGA_SWITCHEROO=n compile time kernel parameter.

Richard Baka (bakarichard91) wrote :

AaronMa,

This is the iommu debug:

[ 0.000000] AMD-Vi: Using IVHD type 0x11
[ 0.000000] AMD-Vi: device: 00:00.2 cap: 0040 seg: 0 flags: b0 info 0000
[ 0.000000] AMD-Vi: mmio-addr: 00000000fd900000
[ 0.000000] AMD-Vi: DEV_SELECT_RANGE_START devid: 00:01.0 flags: 00
[ 0.000000] AMD-Vi: DEV_RANGE_END devid: ff:1f.6
[ 0.000000] AMD-Vi: DEV_ALIAS_RANGE devid: ff:00.0 flags: 00 devid_to: 00:14.4
[ 0.000000] AMD-Vi: DEV_RANGE_END devid: ff:1f.7
[ 0.000000] AMD-Vi: DEV_SPECIAL(HPET[0]) devid: 00:14.0
[ 0.000000] AMD-Vi: DEV_SPECIAL(IOAPIC[33]) devid: 00:14.0
[ 0.000000] AMD-Vi: DEV_SPECIAL(IOAPIC[34]) devid: 00:00.1
[ 0.000000] [Firmware Bug]: AMD-Vi: No southbridge IOAPIC found

I will give you the correct iommu "addresses" after dinner :).

Richard Baka (bakarichard91) wrote :

HOT NEWS!!

CONFIG_VGA_SWITCHEROO=n can be avoided using these kernel parameters amdgpu.runpm=0 radeon.modeset=0.
Further investigation is in progress...

Richard Baka (bakarichard91) wrote :

This could be the better solution because of the notebook's lowest heating but I'm not sure.

Richard Baka (bakarichard91) wrote :
Download full text (4.5 KiB)

Hi all,

After a bit of testing the power management seems to be better but it is far away from perfect. I don't see any anomaly watching temperature sensors (instead of ath10k_hwmon-pci(?!??)) but my notebook is definitely warm if I hold it on my lap.
This is more better on win10, I don't know why.

mosomaci@pc:~$ sensors
k10temp-pci-00c3
Adapter: PCI adapter
Tdie: +55.0°C (high = +70.0°C)
Tctl: +55.0°C

amdgpu-pci-0100
Adapter: PCI adapter
vddgfx: +0.81 V
fan1: N/A
temp1: +50.0°C (crit = +104000.0°C, hyst = -273.1°C)
power1: 1.13 kW (cap = 28.00 W)

ath10k_hwmon-pci-0300
Adapter: PCI adapter
temp1: +91.0°C

amdgpu-pci-0400
Adapter: PCI adapter
vddgfx: N/A
vddnb: N/A
fan1: N/A
temp1: +55.0°C (crit = +80.0°C, hyst = +0.0°C)
power1: N/A

Could our APIC fix not a perfect solution for this problem? I know that the DSDT is totally broken:

[ 0.088280] ACPI: Added _OSI(Module Device)
[ 0.088280] ACPI: Added _OSI(Processor Device)
[ 0.088280] ACPI: Added _OSI(3.0 _SCP Extensions)
[ 0.088280] ACPI: Added _OSI(Processor Aggregator Device)
[ 0.088280] ACPI: Added _OSI(Linux-Dell-Video)
[ 0.092591] ACPI: [Firmware Bug]: BIOS _OSI(Linux) query ignored
[ 0.100296] ACPI BIOS Error (bug): Failure creating [\_SB.PCI0.LPC0.EC0._Q46], AE_ALREADY_EXISTS (20180531/dswload2-316)
[ 0.100309] ACPI Error: AE_ALREADY_EXISTS, During name lookup/catalog (20180531/psobject-221)
[ 0.100313] ACPI Error: Ignore error and continue table load (20180531/psobject-604)
[ 0.100321] ACPI BIOS Error (bug): Could not resolve [\_SB.PCI0.LPC0.EC0.UX**], AE_NOT_FOUND (20180531/psargs-330)
[ 0.100326] ACPI Error: Ignore error and continue table load (20180531/psobject-604)
[ 0.100332] ACPI BIOS Error (bug): Could not resolve [\_SB.PCI0.LPC0.EC0.M000], AE_NOT_FOUND (20180531/psargs-330)
[ 0.100336] ACPI Error: Ignore error and continue table load (20180531/psobject-604)
[ 0.100343] ACPI BIOS Error (bug): Could not resolve [\_SB.PCI0.LPC0.EC0.M049], AE_NOT_FOUND (20180531/psargs-330)
[ 0.100347] ACPI Error: Ignore error and continue table load (20180531/psobject-604)
[ 0.100353] ACPI BIOS Error (bug): Could not resolve [\_SB.PCI0.LPC0.EC0.M280], AE_NOT_FOUND (20180531/psargs-330)
[ 0.100357] ACPI Error: Ignore error and continue table load (20180531/psobject-604)
[ 0.100364] ACPI BIOS Error (bug): Could not resolve [\_SB.PCI0.LPC0.EC0.M009], AE_NOT_FOUND (20180531/psargs-330)
[ 0.100369] ACPI Error: Ignore error and continue table load (20180531/psobject-604)
[ 0.100372] ACPI Error: Skipping While/If block (20180531/psloop-594)
[ 0.100378] ACPI BIOS Error (bug): Could not resolve [\_SB.PCI0.LPC0.EC0.M000], AE_NOT_FOUND (20180531/psargs-330)
[ 0.100383] ACPI Error: Ignore error and continue table load (20180531/psobject-604)
[ 0.100390] ACPI Error: Cannot release Mutex [QMUX], not acquired (20180531/exmutex-359)
[ 0.100394] ACPI Error: Ignore error and continue table load (20180531/psobject-604)
[ 0.100402] ACPI BIOS Error (bug): Could not resolve [\_SB.PCI0.GPP2.BCM5], AE_NOT_FOUND (20180531...

Read more...

Richard Baka (bakarichard91) wrote :

*instead of ath10k_hwmon-pci(?!??) -> except of ath10k_hwmon-pci

Richard Baka (bakarichard91) wrote :

Here is a hiDPI scaling script for Gnome3:

#!/bin/bash
gsettings set org.gnome.desktop.interface scaling-factor 2
eval sleep 1;xrandr --output eDP --scale 1.6x1.6 --panning 3072x1728

Richard Baka (bakarichard91) wrote :

Dear Ubuntu Maintainers,

here is the summary:

1. Kernel freeze can be resolved by using the mentioned kernel parameters:
> ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2

It would be the best if the broken DSTD tables were fixed but I think nobody will do it.
The workaround with the parameters seems to be a correct solution.

2. For the amdgpu crash there is a patch what works correctly. It will be merged to the upstream after testing.
https://bugzilla.kernel.org/show_bug.cgi?id=200517

Patch: https://bugzilla.kernel.org/attachment.cgi?id=277375&action=diff&collapsed=&headers=1&format=raw

summary: - Acer Aspire A315 ACPI failure on Ubuntu 18.04, kernel hangs, can't load,
- kernel freeze (AMD Ryzen 5/Radeon/Raven)
+ Acer Aspire A315 IOAPIC failure on Ubuntu 18.04, kernel hangs, can't
+ load, kernel freeze (AMD Ryzen 5/Radeon/Raven) / AMDGPU Hybrid crash
Richard Baka (bakarichard91) wrote :

@@ -, +, @@
---
 drivers/gpu/drm/amd/amdgpu/amdgpu_atpx_handler.c | 1 +
 1 file changed, 1 insertion(+)
--- a/drivers/gpu/drm/amd/amdgpu/amdgpu_atpx_handler.c
+++ a/drivers/gpu/drm/amd/amdgpu/amdgpu_atpx_handler.c
@@ -575,6 +575,7 @@ static const struct amdgpu_px_quirk amdgpu_px_quirk_list[] = {
  { 0x1002, 0x6900, 0x1002, 0x0124, AMDGPU_PX_QUIRK_FORCE_ATPX },
  { 0x1002, 0x6900, 0x1028, 0x0812, AMDGPU_PX_QUIRK_FORCE_ATPX },
  { 0x1002, 0x6900, 0x1028, 0x0813, AMDGPU_PX_QUIRK_FORCE_ATPX },
+ { 0x1002, 0x6900, 0x1025, 0x125A, AMDGPU_PX_QUIRK_FORCE_ATPX },
  { 0, 0, 0, 0, 0 },
 };

--

Richard Baka (bakarichard91) wrote :
tags: added: patch
Kai-Heng Feng (kaihengfeng) wrote :

Please send that patch to <email address hidden>

Richard Baka (bakarichard91) wrote :

Hi Kai-Heng Feng,

I've received the patch from Alex Deucher. Is it really needed to send to that mail? He said:

"Assuming it fixes the issue, I'll go ahead and apply it to upstream and stable kernels."

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Triaged
Kai-Heng Feng (kaihengfeng) wrote :

Right then let's wait for the commit lands in mainline.

Zhang Rui,

why have you changed the topic? It was correct, the kernel loads only with noapic or noacpi. The problem is DSDT/SSDT tables can not load because of ALREADY_EXIST problem. They should be fixed by someone correctly.

Sorry, nothing, I changed it before :)

Richard Baka (bakarichard91) wrote :

VGA fix has been released in ver. 4.18 rc7. SSDT will not be fixed I think.

Kai-Heng Feng (kaihengfeng) wrote :

Have you tried latest amdgpu [1]?

Also, please attach acpidump, thanks!

[1] https://cgit.freedesktop.org/~agd5f/linux/ branch amd-staging-drm-next

you (bountou) wrote :

Hi,

Don't have so much knowledges on ubuntu. Tried to install 18.04 on A315-41-r163 bios 1.08 (ryzen 5 2500u) :

tried to make it works by severals methods... the only way to make it start is : "pci=noacpi" in the kernels params.

kernel 4.18rc8 with "ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2" don't work neither. (I get this = http://prntscr.com/kg5t1j )

The only way to make it work is "pci=noapci".

I paste my boot-info if it can help : http://paste.ubuntu.com/p/4qZrHPK8Tz

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux-firmware (Ubuntu):
status: New → Confirmed
Kai-Heng Feng (kaihengfeng) wrote :

Also please attach ACPI dump.

Richard Baka (bakarichard91) wrote :

you (bountou), please add the output of lspci -vv
Kai-Heng Feng (kaihengfeng), no I tried the mentioned kernel and that works well.

Richard Baka (bakarichard91) wrote :

you (bountou), IOMMU has to be enabled in BIOS. Could you check that too?

Kai-Heng Feng (kaihengfeng) wrote :

Richard, do you mean that the kernel I built solve the issue for you?

Richard Baka (bakarichard91) wrote :

No, I mean that the 4.18 rc7-8 mainline kernel solved the gpu problem. What is special with your kernel what have you changed on mainline?

Kai-Heng Feng (kaihengfeng) wrote :

It uses latest amdgpu branch.

you (bountou) wrote :

Hi.

I have checked and IMOMMU is rightly disabled.
"AMD-SVM=Disabled
AMD-IOMMU=Disabled"

The lspci -vv = https://pastebin.com/46gZfuDE

I'm installing the Kai-Heng's kernel now.

you (bountou) wrote :

lscpi -vv with root : https://pastebin.com/kGgzPVxf

you (bountou) wrote :

kernel installed, exactly same problem (cf screenshot from post #54), the only way to start is still with pci=noacpi

I don't know how to make an acpi dump, I made one but seems in hex, something unreadable -> https://paste.ubuntu.com/p/z37K3QTQwZ/

you (bountou) wrote :

And this is with IOMMU enabled (and without the pci=noacpi) : http://prntscr.com/khn3jw
I can still start with IOMMU enabled if I add "pci=noacpi".

Richard Baka (bakarichard91) wrote :

you (bountou), this is exactly the same problem what I have. Maybe there is a little difference but not much. We will be able to fix it with a little work.
So this is an ACPI problem. ACPI(Advanced Configuration and Power Interface) is a hardware interface what is afforded by the manufacturer for the Operating System to use the notebook's power management features correctly.
There are tables in the ROM memory of your notebook that contain a lot of information for this. For some reason these are broken in Linux. This is what you see on the attached kernel output screenshot.
This is not a perfect situation.

Things you can do:
a)Install Windows. Generally the tables can be understood correctly by Windows. If not then the manufacturer provides drivers which fix them.
b)Disable ACPI: in this case the OS try to guess the correct behavior but it will never be perfect. This is why noacpi is not the correct solution. (temperature anomalies will occur)
c)Do manual address (Correct solution Lite version) to IOMMU and SMBUS controller. This can be done by the kernel parameters what I wrote: ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2 for example. This is good for my notebook type but the values can be different by notebook subtypes.
I need the lspci -vv output after you had enabled IOMMU to give you the correct addresses. I can see your SMBUS is on 00:14.0 but I don't find the IOMMU which is necessary. This is a half-correct way.
-The best solution: recompile the DSDT/SSDT tables. This is the hardcore version because you should dump, decompile fix and recompile the proper tables. This is not easy but this can offer a similar energy management what you can experience on WIN 10.

So first thing to do:
Enable IOMMU, start the kernel with noacpi and copy the lspci -vv output for me. IOMMU should be shown there.

Richard Baka (bakarichard91) wrote :

No sorry, instead of pci=noacpi, try to start the kernel with noapic and then check lspci. It there is a kernel panic by this way then use pci=noacpi.

you (bountou) wrote :

Hi.
Thanks for your precious informations.

I start with noapic and there is the lspci output : https://paste.ubuntu.com/p/jm8MBy4qND/

Obviously I can see the same values as you for iommu (0:00.2)... So I'll try to reboot again with "ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2" instead of "quiet splash".

you (bountou) wrote :

Ok. It start well with "ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2" I probably didnt writed right the first time... (oooops)

It seems a good solution as my touchpad is working and my specials keys too... (but as lscpi is capable to find addresses, I don't know why the kernel couldnt find it by is own too. Anyway, I don't have enough knowledges at all for all of this.)

Thanks for your help. I hope it could help more people with this hardware.

Richard Baka (bakarichard91) wrote :

I'm glad you did it.
Why does the kernel not find the correct addres like lspci? This is a good question. Maybe the kernel doesn't know what to search.
I have a somewhat fixed (not perfectly) DSDT/SSDT for A315-41G (Ryzen 5 + Radeon vega 8/Radeon 535) which provides a better cpu power management(CPU temperature can decrease under 50C) like using the kernel parameter only. If you send me a mail I can give it to you but I don't guarantee an error-free behavior.

you (bountou) wrote :

Yes, can I send you my email in PM in some way from here?

BTW, I've made a fresh install of 18.04 with irvs params.

dmesg looks really different with the kernel : (uploaded on jsfiddle as you can see the RED lines quickly)

with default 4.15 kernel : https://jsfiddle.net/qg34bury/
with last 4.18.0 kernel : https://jsfiddle.net/pkchrt6n/

I didnt installed amdgpu pro... Don't know how and I guess it's not really necessary as all is working good. (dont need nomodeset or anything and no crash)

and there is my TEMPS after 30 mins at low usage : https://prnt.sc/khu5dy

Richard Baka (bakarichard91) wrote :

For me the latest 4.18 is the best. AMDGPU PRO is not necessary. Please copy-paste for me the "sensors" output on 4.18 kernel.

you (bountou) wrote :

This morning (still with 4.18) pc getting hard to start, 90 seconds to boot with 23 seconds of CPU stuck... dmesg here : https://paste.ubuntu.com/p/KbywwGWRSF/
after 5/10 minutes he totally freeze so I was forced to hard reboot (power button).

I'll keep testing this 4.18.0 and if I keep getting problems, I'll retry the 4.15.

there is my sensors, start since 1 min :
$ sensors
ath10k_hwmon-pci-0200
Adapter: PCI adapter
temp1: +75.0°C

amdgpu-pci-0300
Adapter: PCI adapter
vddgfx: N/A
vddnb: N/A
fan1: N/A
temp1: +44.0°C (crit = +80.0°C, hyst = +0.0°C)
power1: N/A

k10temp-pci-00c3
Adapter: PCI adapter
Tdie: +44.9°C (high = +70.0°C)
Tctl: +44.9°C

you (bountou) wrote :

Another kernel parameter to add seems : "rcu_nocbs=0-7" (for my 8 cores)

I still get "CPU stuck for 23 seconds" with it but at least "lscpu" give me 2000 mhz instead of 1600 mhz for my CPU which is the real clock of my CPU. (temp seems not higher)

you (bountou) wrote :

I made a stress for 100 seconds on my CPU to check the temps (stress -c 8 -t 100)
there is my temps : https://prnt.sc/kijyrs

$ sensors
ath10k_hwmon-pci-0200
Adapter: PCI adapter
temp1: +88.0°C

amdgpu-pci-0300
Adapter: PCI adapter
vddgfx: N/A
vddnb: N/A
fan1: N/A
temp1: +59.0°C (crit = +80.0°C, hyst = +0.0°C)
power1: N/A

k10temp-pci-00c3
Adapter: PCI adapter
Tdie: +59.2°C (high = +70.0°C)
Tctl: +59.2°C

You got something similar?

siyia (siyia) wrote :

Richard barka please send me your tweaked dsdt tables, i would like to test them my laptop is a315-41g-r1n2 and my email is <email address hidden>

can confirm bug is also present on Acer Aspire A315-41G with ryzen 3 2200u and radeon 535.

with kernel parameters "ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2 iommu=pt" on kernel 4.18.5 my a315 41g laptop works flawlessly without crashes or kernel panics, however one issue is that afte resuming from sleep lscpu reports that the cpu runs constantly at turbo frequency

suspend crashes sometimes with a screen freeze only way is to reboot the laptop. kernel 4.18.8

you (bountou) wrote :

So what's new guys? It's clearly unstable with this CPU/mainboard.... It will be fixed soon?
I mean, If I have to use this laptop for my job, I need something trustable.

siyia (siyia) wrote :
you (bountou) wrote :

Thanks for the update Siyia. I just updated it to 1.09.
Did not see any change. (I'm still with the same 4.18 kernel)

In my logs I just can see one error less from before (kvm disabled)

https://jsfiddle.net/ojy4umer/

siyia (siyia) wrote :

damn i cannot see your log from my cellphone do you have kvm disabled? i do not get such an error

siyia (siyia) wrote :

after bios 1.09 do you still need to add ioapic addresses at boot parameters?

you (bountou) wrote :

Yes, it still need "ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2"

Darksurf (piroisl33t-u) wrote :

I can confirm I also have this issue on an ACER Nitro 5 AN515-42-R5GT. Ryzen 2500U + RX560X using latest BIOS available v1.08. I'm forced to boot with noapic whether or not IOMMU is even enabled/disabled using kernel 4.18.10.

Using 4.19.0rc2 I could get by using the GRUB additions:
i8042.nopnp ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2 iommu=pt

I'm currently have the exact same issue with my AN515-42-R5GT Acer Nitro 5 Ryzen 2500U + RX560X.

Adding:
ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2 iommu=pt

Seemed to help me out on 4.19rc2, but 4.18.10 requires noapic on Sabayon Linux.

Tell me whatever you need an I'll pull it all.

Tracker1 (mazahakaforever) wrote :

Using Acer Aspire A315-41-R8XR (version without dGPU). Bios 1.09 (latest available atm)

With pci=noacpi or noapic works great but not able to suspend\hibernate. Kernel panics after screen goes black, so i'm not able to get any log of it. Forcing me to reboot the system.

Darksurf (piroisl33t-u) wrote :

the solution ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2 iommu=pt isn't helping me on 4.18 or 4.19. I think the first time I got past the CPU stuck issue with this was a fluke.

I now have to boot with the noapic option every time or I get "CPU stuck" over and over.

Any and all assistance would be greatly appreciated.

siyia (siyia) wrote :

your addresses have to be different since your laptop model is different from a315 41g use lspci to find the correct numbers.

siyia (siyia) wrote :

specifically boot with noapic and run lspci -vv and find the addresses for amd vi and iommu then enter them in kernel boot parameters.

siyia (siyia) wrote :

actually search for iommu and smbus addresses

Darksurf (piroisl33t-u) wrote :

That's just it, my SMBUS is 14:00.0 and IOMMU controller is 00:00.2 just like the a315-41g. My lspci -vv output was attached to that post just so people could see.

siyia (siyia) wrote :

acer just sucks can't they just support Linux in 2018? i bought the laptop as a Linux laptop and it doesn't even work properly!

Richard Baka (bakarichard91) wrote :

Hi, noapic is not a too sophisticated solution.

Try this:

mkdir bios_sck
cd bios_sck
sudo acpidump -b
A lot of firmware file should be appeared we need SSDT/DSDT dat files
You should decompile all of them but that is impossible because of some interference between the files.
This combination worked for me:
iasl -da ssdt1.dat ssdt2.dat ssdt3.dat ssdt4.dat ssdt5.dat ssdt6.dat ssdt8.dat ssdt11.dat ssdt13.dat ssdt16.dat ssdt18.dat ssdt20.dat dsdt.dat

Ok, you have now a lot of dsl and you should recompile them
iasl -tc *.dsl

If you don't get any errors then you are very lucky but you will get some. So you should fix the errors in dsl files and try to recompile them again. Warnings are not important.

How can you fix the errors? I don't know. Nobody knows beside of some GURUs. They have the proper energy and knowledge to fix them. Just go to the kernel bugzilla and ask the gurus.
I wish you luck son.

If you are lucky enough and get what you need (you won't), came back and I will tell you what to do next.

ONLY AT YOUR OWN RESPONSIBILITY!

Darksurf (piroisl33t-u) wrote :

I'll do that. I already pulled all the SSDT/DSDT aml files using RW Everything in Windows.

siyia (siyia) wrote :

i know how to fix dsdt errors however i don't know anything abiut ssdt tables are they in acpi language?

siyia (siyia) wrote :

Richard barka since our laptops are of the same series (a315 41g) we should share the same ssdt dsdt tables if we manage to fix the errors, we can send the fixed tables upstream and fix the whole a315 41g series.

Darksurf (piroisl33t-u) wrote :

Interesting. Errors appear pretty minor.

jcfrosty@Nitro5 ~/bios_sck $ iasl -e ssdt1.dat ssdt2.dat ssdt3.dat ssdt4.dat ssdt5.dat ssdt6.dat ssdt7.dat ssdt8.dat ssdt9.dat ssdt10.dat ssdt11.dat ssdt12.dat ssdt13.dat ssdt14.dat dsdt.dat -d ssdt1.dat ssdt2.dat ssdt3.dat ssdt4.dat ssdt5.dat ssdt6.dat ssdt7.dat ssdt8.dat ssdt9.dat ssdt10.dat ssdt11.dat ssdt12.dat ssdt13.dat ssdt14.dat dsdt.dat

Intel ACPI Component Architecture
ASL+ Optimizing Compiler/Disassembler version 20171215
Copyright (c) 2000 - 2017 Intel Corporation

Input file ssdt1.dat, Length 0x5367 (21351) bytes
ACPI: SSDT 0x0000000000000000 005367 (v02 ACRSYS ACRPRDCT 00000002 1025 00040000)
External object resolution file dsdt.dat
Input file dsdt.dat, Length 0x6767 (26471) bytes
ACPI: DSDT 0x0000000000000000 006767 (v01 ACRSYS ACRPRDCT 00040000 1025 00040000)
Pass 1 parse of [DSDT]
Pass 2 parse of [DSDT]
External object resolution file ssdt14.dat
Input file ssdt14.dat, Length 0x1A41 (6721) bytes
ACPI: SSDT 0x0000000000000000 001A41 (v01 ACRSYS ACRPRDCT 00000001 1025 00040000)
Pass 1 parse of [SSDT]
Pass 2 parse of [SSDT]
External object resolution file ssdt13.dat
Input file ssdt13.dat, Length 0x86 (134) bytes
ACPI: SSDT 0x0000000000000000 000086 (v01 ACRSYS ACRPRDCT 00000001 1025 00040000)
Pass 1 parse of [SSDT]
Pass 2 parse of [SSDT]
External object resolution file ssdt12.dat
Input file ssdt12.dat, Length 0x850 (2128) bytes
ACPI: SSDT 0x0000000000000000 000850 (v01 ACRSYS ACRPRDCT 00000001 1025 00040000)
Pass 1 parse of [SSDT]
Pass 2 parse of [SSDT]
External object resolution file ssdt11.dat
Input file ssdt11.dat, Length 0x7AF (1967) bytes
ACPI: SSDT 0x0000000000000000 0007AF (v01 ACRSYS ACRPRDCT 00000001 1025 00040000)
Pass 1 parse of [SSDT]
Pass 2 parse of [SSDT]
External object resolution file ssdt10.dat
Input file ssdt10.dat, Length 0xB5E (2910) bytes
ACPI: SSDT 0x0000000000000000 000B5E (v01 ACRSYS ACRPRDCT 00000001 1025 00040000)
Pass 1 parse of [SSDT]
Pass 2 parse of [SSDT]
External object resolution file ssdt9.dat
Input file ssdt9.dat, Length 0x850 (2128) bytes
ACPI: SSDT 0x0000000000000000 000850 (v01 ACRSYS ACRPRDCT 00000001 1025 00040000)
Pass 1 parse of [SSDT]
Firmware Error (ACPI): Failure creating [\_SB.MACO], AE_ALREADY_EXISTS (20171215/dswload-498)
ACPI Error: AE_ALREADY_EXISTS, During name lookup/catalog (20171215/psobject-371)
Could not parse external ACPI tables, AE_ALREADY_EXISTS

Darksurf (piroisl33t-u) wrote :

Sorry i forgot to mention it didn't create .dsl files

Richard Baka (bakarichard91) wrote :

Darksurf (piroisl33t-u), what you've done is not what I had written.
siyia (siyia), I can send you but this is just a hack not a correct fix. I deleted lines, forced return values etc etc.

siyia (siyia) wrote :

only ssdt9.dat has errors?

siyia (siyia) wrote :

send me email is <email address hidden> use iasl -tc darksuf

siyia (siyia) wrote :

how do you know your fixed ssdt dsdt tables are not a proper fix? having any problems using them can you boot without noapic and your custom tables?

Richard Baka (bakarichard91) wrote :

siyia, I don't recognize any problem but I'm not sure there aren't any. That is sure I've broken some functions.

Hi bros,

I can upload the SSDT/DSDT tables if somebody will fix them. Something should be invented because that is not too good if linux desktops can not be used on new notebooks.

Richard Baka (bakarichard91) wrote :

Don't you want to write an e-mail to Acer Support? This should be the message:
"Please recompile the firmware SSDT/DSDT files using Intel aml compiler fix the syntax errors and give BIOS update for us, thanks"

Darksurf (piroisl33t-u) wrote :

I've already contacted Acer support and they give the BS answer "We don't support Linux". I tell them crappy BIOS doesn't matter whether or not its windows or Linux. its still crappy bios. I suggested they fix it upstream and I got the response that they'll send it upstream (I'm sure they will /sarcasm).

Richard Baka, I attempted that method, because your method didn't generate the .dsl files. -da flag didn't do anything but print some output without ever creating any dsl files. I ended up having to generate the .dsl files one at a time using the -e flag to pull dependencies for each and generate the .dsl files with external calls. Unfortunately SSDT14.dsl was making calls for a method that doesn't even exist.

So

    External (_SB_.PCI0.GP18.SATA.TPTS, MethodObj) // Warning: Unknown method, guessing 1 arguments
    External (_SB_.PCI0.GP18.SATA.TWAK, MethodObj) // Warning: Unknown method, guessing 1 arguments
    External (_SB_.PCI0.SATA.TPTS, MethodObj) // Warning: Unknown method, guessing 1 arguments
    External (_SB_.PCI0.SATA.TWAK, MethodObj) // Warning: Unknown method, guessing 1 arguments

These I couldn't get no matter what I included. So I did some digging in the dsdt.dsl file. Those Methods(TPTS a.k.a. Prepare to Sleep,TWAK a.k.a. WAKE) don't even exist under the scope PCI0.GP18.SATA. What does exist is S0W (which means Sleep Wake Status) PS0 (Power State 0 a.k.a. Sleep) and PS3 (Power State 3 a.k.a WAKE)

PCI0.SATA Scope doesn't even EXIST! So I just removed any calls and pointers to it in SSDT14.dsl (a whole 2 calls which were if/then statements pointing at PCI0.GP18.SATA first...

I'm going to try to build the files now. Is it safe to merge the DSDT and SSDT files into a single file?

Darksurf (piroisl33t-u) wrote :

Yeah, This rabbit hole just keeps getting deeper. a whole 46 Errors, Log attached. Some appear like they'd be easy to fix for someone who understood the language.

I'm confused by ssdt14.dsl compile as it only has one error

ssdt14.dsl 1341: Arg1
Error 6126 - ^ syntax error, unexpected PARSEOP_ARG1

Not sure why you would RETURN, but then have arguments afterwards? Even so, what would be the proper syntax in this case?

If (CondRefOf (MOEM))
        {
            Return (MOEM) /* External reference */
            Arg0
            Arg1
            Arg2
        }

Darksurf (piroisl33t-u) wrote :

Yeah, This rabbit hole just keeps getting deeper. a whole 46 Errors, Log attached. Some appear like they'd be easy to fix for someone who understood the language.

I'm confused by ssdt14.dsl compile as it only has one error

ssdt14.dsl 1341: Arg1
Error 6126 - ^ syntax error, unexpected PARSEOP_ARG1

Not sure why you would RETURN, but then have arguments afterwards? Even so, what would be the proper syntax in this case?

If (CondRefOf (MOEM))
        {
            Return (MOEM) /* External reference */
            Arg0
            Arg1
            Arg2
        }

siyia (siyia) wrote :

Richard barka are your tables valid for bios 1.09?

siyia (siyia) wrote :

ok they are darksurf remove arg1 and recompile

siyia (siyia) wrote :

Richard barka your ssdt files are error free why don't you submit them in the kernel Bugzilla for further testing?

Richard Baka (bakarichard91) wrote :

Darksurf, I think you should use my decompile parameters. I left same ssdt from that command exactly because of these dependency problem. You didn't write the same like me.
Unknown method warnings shouldn't be appeared.

siyia, the original files should be uploaded to be fixed correctly using the error output. My fix is just a working hack

siyia (siyia) wrote :

upload original tables and then your "fixed" tables in the bug report for a315 41g series and ask for help, status should change from need info to confirmed

Darksurf (piroisl33t-u) wrote :

Richard Baka, Whenever I attempt to decompile using your parameters, nothing happens. it doesn't work. I instead get a segfault. I'm attaching my acpi dump, you're welcome to take a wack at it. in fact, I'd greatly appreciate it if you would and would explain to me what you did to get it to decompile to .dsl files.

siyia (siyia) wrote :

you compile dsl files with iasl -tc

siyia (siyia) wrote :

. dsl files are already decompiled:)

siyia (siyia) wrote :

or if you're talking about the. dat files use iasl -d on each file separately.

Richard Baka (bakarichard91) wrote :

Darksurf, it gives segmentation fault by me. Could you do the dump on Linux not on Windows?

Darksurf (piroisl33t-u) wrote :

That dump came from acpi -b as root

Richard Baka (bakarichard91) wrote :

OK, iasl is too old in distros, I'm compiling a new one.

Richard Baka (bakarichard91) wrote :

This works:
iasl -da ssdt1.dat ssdt2.dat ssdt3.dat ssdt4.dat ssdt5.dat ssdt6.dat ssdt8.dat ssdt11.dat ssdt12.dat dsdt.dat

Richard Baka (bakarichard91) wrote :

Darksurf, this shouldn't be showed:

"iASL Warning: There were 8 external control methods found during
     * disassembly, but only 0 were resolved (8 unresolved)"

So my previous command was not correct. Maybe you should try decompile it with MS decompiler.

siyia (siyia) wrote :

Richard why in your firmware files you include dsdt.aml as a tar archive that has all the ssdt tables inside?

siyia (siyia) wrote :

guys linpus Linux is fedora based! and it is supported by acer laptops that's why it reads the ssdt dsdt tables correctly!

guys linpus Linux is fedora based that's why it doesn't need noapic to boot, linpus Linux is pre-installed and supported on Acer laptops, so we got to find what quirks is fedora using to load the bios tables correctly.

or maybe extract the ssdt dsdt tables after installing fedora on the laptop

Another User (another-user) wrote :

I have same problem with ACER Aspire a315-41-R19S (ryzen 2200u without dGPU). I'm using Ubuntu 18.04.1 with noapic kernel parameter (Manjaro don't work without it too). With suggested ivrs_ioapic[4]... parameters GUI is very slow.
Fedora boots without any additional kernel parameters, but message about buggy firmware present in dmesg

Another User (another-user) wrote :

Earlier I've got kernel panic (no working init found) with IOMMU disabled in BIOS and without additional kernel parameters.
And one strange thing: with Ubuntu my touchpad works in advanced multitouch mode but in bios is set basic mode. With Fedora 28 it works in basic mode and do not work when set to advanced.
P.S: Sorry for my bad English

Richard Baka (bakarichard91) wrote :

Another User (another-user), install newer kernel than ubuntu's default and don't use noapic just ivrs parameters.

siyia (siyia) wrote :

darksurf you have to add dsdt. aml in the end of the decompile command to remove the iasl warning. f. e iasl -da ssdt1.aml ssdt2.aml dsdt.aml

Acer Aspire A315-41G-RX8R (Ryzen 5 2500u, no dGPU version).

From 4.16 to 4.18 kernels i'm required to use noapic to boot, yet i can't hibernate or suspend. Kernel panics after screen goes black.
On 4.19rc7 i can use iommu=pt ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2 parameters and hibernation doesn't go kernel panic anymore.

on kernel 4.19rc7 cannot power off the laptop. acer aspire a315 41g with ryzen 3 2200u and radeon 535

I may be experiencing the same bug. I have a Lenovo A485 2700U. Though the system either doesn't progress past grub's "loading initramfs" or shows a black screen after that point.

Starting with pci=noacpi causes something to show up but it still does not boot.

But, with a different kernel config the latest git works fine, but when I compiled with my normal config it would not boot. Also, ubuntu's PPA which has rc7 in it has the same issue as my normal config. I am uploading my working and non-working config.

(here is the issue I originally reported my issue on https://bugs.freedesktop.org/show_bug.cgi?id=108307)

Created attachment 278979
Working kernel config

Created attachment 278981
Non-working kernel config

Hi Samantha,

thanks for your post that is a very intresting point. I thought there was something difference between the kernels of different distros but I didn't realize that could be caused by the pre-compile config but it's logical.

However I'm afraid this could be just a workaround and not a correct solution. Could you please check if you have correct ACPI functionality? I need a dmesg output with the correct kernel and please check if the CPU's temperature goes under 50C/122F on idle.

Thanks again.

Created attachment 278983
dmesg from working kernel

Okay, here is my dmesg output.

Don't somebody want to make a comparsion (diff) from parameter to parameter? I fixed my tables manually so I don't really have motivation for that.

This section can be the most important for us: "Power management and ACPI options"

Otherwise the main problem is that the kernel's ASL (interpreter/compiler/decompiler idk.) can't interpret the ACPI tables because of failures like this: "ACPI Error: AE_ALREADY_EXISTS, During name lookup/catalog". If I want to decompile it with iasl the message is the same so I need to skip some SSDT files to avoid this. After "decompile(ing)" had been successful I need to fix a lot of bug for the recompile(ing).

Created attachment 278985
diff good.config bad.config

Here is a diff of the two configs.
Created by doing as below, and then diff -aur good bad | grep -E '^(\+|-)'
cat .config-good | grep -Ev '^#' | grep -Ev '^\s*$' |sort > /tmp/.config-good

Created attachment 278987
Hacked AML tables vs good kernel compile config

Which is better?

suspend/resume on non graphical tty2 never crashes, suspend /resume on graphical x session sometimes causes screen freeze and you have to reboot the laptop.

Darksurf (piroisl33t-u) wrote :

siyia, you're welcome to try it yourself from my ACPIDUMP attachment earlier. its not as simple as it normally would be. In some cases, it just causes iasl to segfault.

https://github.com/acpica/acpica/issues/414

i disabled polkit auth agent from openbox autostart and now the laptop sleeps like a baby, it was unrelated to acpi.

actually ignore my previous post i managed to crash suspend /sleep at a non graphical session, this could still be related to acpi or drivers.

Darksurf (piroisl33t-u) wrote :

I've got some interesting news. I did in fact contact Acer Support and opened a case. Went from Lvl1 to Lvl2 support, was called a couple weeks later with a survey about support, I gave my honest opinion, stating that I don't blame support team as they are limited in what they can do. Today I received a call from LVL3 support! They wanted me to go over my problem in more detail. I let them know of the issues with disassembly and the calling of scopes and functions that do not even exist in the firmware, and that they may be doing something in software with windows drivers to hide it or make it work anyway. He did let me know that they do target the Windows 10 audience and couldn't promise anything, but then I mentioned with the way Windows 10 updates are going I doubt Acer is going to continue to rewrite drivers everytime Microsoft breaks them with their updates, and considering how terrible QA is with windows updates lately having it all just built correctly in firmware to begin with would avoid that. The man agreed and laughed a little. I let him know about iasl and asked if he could have the team look into acpi a little better and that I knew they had dealt with linpus in the past which is effectively just fedora, so I know they have some experience with Linux. I also mentioned my model wasn't the only one affected by these oddities and there were threads in ubuntu, fedora, and the linux kernel's bug system. He agreed to pass on the issues and information to the engineering team in Taiwan. Fingers crossed. So far the customer support has blown away Samsung. I'm not holding my breath for a fix, but I am impressed I got this far.

The LVL3 support guy said he'd call me back when he got a response from Taiwan's Engineers. So I'm guessing within a couple weeks. I told him I understood it wouldn't be a quick response, or even a quick fix if they agreed. He was very cordial and the conversation went well at the least.

Thumbs up for Acer Customer Support guys. Color me impressed.

Richard Baka (bakarichard91) wrote :

Darksurf (piroisl33t-u)

great-great-great work, we are waiting for the good news. I did the same with AMD. They tried to help me with giving advices but they couldn't fix the tables of course.

siyia (siyia) wrote :

guys does sleep/resume works for you? for me sometimes it crashes with a screen freeze. i trimany boot parameters fixed my tables, also used Richard's tables but it still freezes sometimes,should I open a separate bug report? my laptop is of the dual gpu variety. it's the only thing that bothers me with this laptop.

siyia (siyia) wrote :

it can either freeze before suspend or after waking.

Richard Baka (bakarichard91) wrote :

siyia, dmesg is needed.

siyia (siyia) wrote :

dmesg without any custom tables loaded. i noticed in kernel 4.18.14 that there is an amdgpu commit that fixes suspend hang with dual gpu setups

siyia (siyia) wrote :
siyia (siyia) wrote :

still happens on kernel 4.18.14 :(

siyia (siyia) wrote :
siyia (siyia) wrote :
siyia (siyia) wrote :

attached dmesg before and after suspend

siyia (siyia) wrote :

Created attachment 279023
sleep dmesgs before/after working/crashed

different dmesg before/after successful suspend and suspend freeze, it seems like a cpu issue.

siyia (siyia) wrote :

all dmesgs added together for comparison before/after sleep working, before/after sleep crashed.

siyia: I see you only have rcu_nocbs=0-3 but there are 8 logical cores. Try seeing if using `rcu_nocbs=0-7 idle=nomwait` helps. Both those together fixed my system lockups. With just rcu_nocbs for all my cores I still got lockups (and you don't have it enabled for all cores). Ryzen Errata: https://support.amd.com/TechDocs/55449_Fam_17h_M_00h-0Fh_Rev_Guide.pdf

will post back soon after testing parameters

the cpu is ryzen 3 2200u 2 cores 2 threads.

unfortunately it didn't help.

idle=nowait however activates the cpu power save feature, lol wtf?
here i had a bug report https://bugzilla.kernel.org/show_bug.cgi?id=201045

i only get lockups only after/before suspend sometimes, otherwise the laptop is rock solid. however thanks Samantha for the idle=nowait boot parameter it solved the cpu power save feature.

siyia: Only thing else I'd think to try would be this: https://gist.github.com/60b73ff4e6ce901d09f9a8025826cb4a It must be run as root and you must have `msr-tools` installed.

I wrote it just now based on https://lists.freebsd.org/pipermail/freebsd-current/2018-June/069799.html It sets some MSR registers that AMD specified as mitigations for some of the errata.

Let me know if that changes anything. (also I'm glad the kernel options somehow fixed the turbo issue for you).

your script didn't help, about the powersave it was enabled by adding amdgpu in the modules in mkinitcpio.conf and then updating iniframs with sudo mkinitcpio - p linux that fixed it, however after waking from suspend cpu runs at turbo frequency again.

siyia (siyia) wrote :

resuming from suspend always disables cpu power management and the cpu runs at turbo frequency, could you also check it out on your laptop Richard? suspend then resume and run watch lscpu.

siyia: I seem to be getting freezing during suspend too (though you seem to be getting it more than I). There are some with Ryzen that their crashes were fixed if they disabled C6 powerstate. Since I use a laptop that was mostly a non-option for me, but I wrote as script so systemd will disable C6 sleep before suspend and then enable it again after suspend (so CPU doesn't happen to be in C6 state aronud suspend time).

May or may not work. Since it has only happened every once in a while for me, I may not know for several days if the fix worked or not. You can test it out by putting https://gist.github.com/samcv/0b6a915aadcddc0e19640c20d9dd3164 as
/usr/lib/systemd/system-sleep/disable-enable-c6-state.sh and doing `chmod +x /usr/lib/systemd/system-sleep/disable-enable-c6-state.sh`. You will need download https://github.com/r4m0n/ZenStates-Linux/blob/master/zenstates.py and then set the ZENSTATES variable in my `disable-enable-c6-state.sh` script to wherever you put the script. If the script is working you should get an output from `journalctl -b 0 | grep -Ei '(enabled|disabled)\s*c6'` after you have done a suspend/resume cycle. If that doesn't fix it, your issue (and possibly mine depending on how my results go) should probably have their own bug filed.

still freezes with c6 disabled, only anomaly I can detect is that after resuming from sleep cpupowersave is disabled and cpu runs at turbo frequency. only way to reverse this is to reboot and have the amdgpu module initiated early in km.

Richard Baka (bakarichard91) wrote :

There is no problem here.

 Linux version 4.18.13-041813-generic (kernel@gloin) (gcc version 8.2.0 (Ubuntu 8.2.0-7ubuntu1)) #201810100332 SMP Wed Oct 10 07:34:55 UTC 2018
[ 0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-4.18.13-041813-generic root=UUID=abd604e5-aa0b-4b30-8657-39b462df9afb ro quiet splash ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2

This is a default mainline kernel.

you (bountou) wrote :

Anybody tried the kernel 4.19 ?

you (bountou) wrote :

Updated to 4.19, dmesg is almost the same as my old kernels (cf. https://bugs.launchpad.net/amd/+bug/1776563/comments/72)

with 4.19.0 : https://jsfiddle.net/nkx4yL5c/

fedora 29 requires noapic only for installation,after wich it boots without any parameters and no acpi errors,suspend-resume and cpu powersave work flawlesly.

Created attachment 279211
dmesg from fedora 29 with noacpi errors

everything works flawlessly on fedora 29

Hmm, maybe a different configuration of the kernel or a different version? Not sure what kernel Fedora uses.

BTW the latest 1.05 BIOS update on my Lenovo A485 fixes the underlying BIOS issue, so my system doesn't suffer from this issue anymore (doesn't mean a kernel fix wouldn't be a good idea, since not all OEM's are good about fixing issues for "unsupported platforms").

i just cannot understand how fedora kernel config can fix buggy acer bios?i mean the tables are completely broken,yet under fedora the load without any error,can this be replicated upstream,fedora 29 uses kernel 4.18.16.

Another User (another-user) wrote :

I have higher power consumption after suspend-resume. It raises from usual ~7 Watts to 10-11 while idle (Measured by PowerTop). I'm using TLP powersaving utility on Ubuntu 18.04 LTS and Powertop as monitoring tool. Have not noticed any CPU frequency abnormalities. Also i've tried force set frequency limit by cpupower, but no result.
I found info that dGPU may power up after suspend-resume and cause high battery drain, but my system does not contain dGPU (2200u + vega 3 iGPU)

Still on factory 1.03 BIOS.
Also have random system hangs every 5-10 hours of runtime. Two times while gaming, and ambient sounds continue playing, but image freezes and system became totally unresponsible. idle=nomwait did not help. Now I've changed amdgpu firmware files and waiting for result... If problem will repeat, I'll check RAM and update bios.

What is minimum CPU frequency for mobile Ryzens? I can't set less than 1600MHz with cpupower, but sometimes it falls to 1200 or so.
And none of methods (lscpu, cpupower frequency-info) shows turbo frequency capabilities - 2500 is maximum. But "cat /proc/cpuinfo" displays more than 3000MHz while running Mozilla Kraken benchmark.

Is there a way to build\use fedora kernel under Arch or Ubuntu? Could be a workaround for some time.

we could use the same config...,if we use the same config and the problem persists then it is probably a fedora kernel patch that fixes the issues with Acer Aspire A315-41G series.

Created attachment 279239
fedora kernel config for linux 4.18.6

You can use it to build a kernel with the arch build system and test if it works in archlinux.

arch kernel should also be 4.18.6

sorry i meant kernel * 4.18.16

(In reply to siyia from comment #55)
> i just cannot understand how fedora kernel config can fix buggy acer bios?i
> mean the tables are completely broken,yet under fedora the load without any
> error,can this be replicated upstream,fedora 29 uses kernel 4.18.16.

Fedora 29 really do not show any errors?
On 28 there was two lines in dmesg "ioapic[4] not in ivrs table" which present on screenshot attachment for this bugreport.
And third line was like "switching irq routing to physical flat" - sorry, i'm not remember exactly... I did not find anything useful about this "physical flat" irq mapping mode. But seems this is similar to noapic.

no such errors i ve uploaded fedora 29 dmesg please check it for yourself just to be on the safe side.

the only real workaround is to use fedora 29,it's being released tomorrow

siyia (siyia) wrote :

acpi errors and AE_ALREADY_EXISTS are fixed in fedora 29, everything works flawlessly,however debian ubuntu and archlinux dont work well with these laptops.

Darksurf (piroisl33t-u) wrote :

I still have add ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2 to even boot. Ubuntu 18.10 works great so long as I add those in GRUBs editor before boot or permanently add to grub.cfg after install. Also, hiding the AE_ALREADY_EXISTS errors doesn't mean they're gone. Fedora is experimenting with a cool feature that freezes an image in the framebuffer (similar to what windows 10 does during the loading screen and circling dots), this hides the flicker to console, then flicker to plymouth bootscreen. It goes straight from BIOS image to plymouth (very awesome). a journalctl -xe and possibly dmesg should still show those errors.

As a side note, ACER has contacted me back again. They did a little research and noticed there was indeed a community of people who are experiencing this issue and the community did seem large enough to warrant being looked into and possibly fixed for Linux Users! Customer support has been pretty awesome about all this so far. I'm very impressed. They've asked that I pull together some info to better explain the issues so they can forward them up to the engineers for review.

Darksurf (piroisl33t-u) wrote :

I'll run a test tonight and see if I can get power draw differences at the wall between windows and Linux. Hopefully when Acer drills this down, we'll see something that compares pretty well.

Compiled manjaro kernel with fedora config. Looks like fedora patches do something to kernel

what they did works only after installing and booting fedora in bare metal,the live install cd still requires noapic

installing fedora with ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2 instead of noapic,produces the same soft lockup that ubuntu/arch gets.installing it with noapic allows you to boot without any custom parameters and acpi seems to work good.

ok i figured this out.it's more like fedora has acpi working on these laptops with noapic.Other distros with noapic cannot sleep but fedora can.

Mine device (a315-41-R19S) can sleep on Ububtu 18.04 LTS with default kernel 4.15. But it have no dGPU - maybe this is the reason...
Have noapic kernel boot parameter and factory bios 1.03.

(In reply to Another User from comment #68)
> Mine device (a315-41-R19S) can sleep on Ububtu 18.04 LTS with default kernel
> 4.15. But it have no dGPU - maybe this is the reason...
> Have noapic kernel boot parameter and factory bios 1.03.

I'm using A315-41-R8XR which doesn't have an dGPU and yet can't sleep with noapic. Could you please specify which wi-fi adapter (lspci -k) you are using?

you (bountou) wrote :

Hey guys.
I absolutely don't know why but my CPU temperature go down a lot.
Min / Max was like : 70/80
and now Min/max is : 30/50

I don't do anything special except move back to kernel 4.15.0-38 and reinstall grub-efi.

BTW, my battery is still getting dry really fast, like 3 or 4x faster than on windows! =(

My wi-fi:
02:00.0 Network controller: Qualcomm Atheros QCA9377 802.11ac Wireless Network Adapter (rev 31)
 Subsystem: Lite-On Communications Inc QCA9377 802.11ac Wireless Network Adapter
 Kernel driver in use: ath10k_pci
 Kernel modules: ath10k_pci

Also in dmeseg i have errors for this module (firmware load failed) but wifi and bluetooth works fine.

02:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTL8411B PCI Express Card Reader (rev 01)
 Subsystem: Acer Incorporated [ALI] Device 1259
 Kernel driver in use: rtsx_pci
 Kernel modules: rtsx_pci
02:00.1 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 12)
 Subsystem: Acer Incorporated [ALI] Device 1259
 Kernel driver in use: r8169
 Kernel modules: r8169
03:00.0 Network controller: Qualcomm Atheros QCA9377 802.11ac Wireless Network Adapter (rev 31)
 Subsystem: Lite-On Communications Inc Device 08a6
 Kernel driver in use: ath10k_pci
 Kernel modules: ath10k_pci

everything works as expected with fedora 29 and noapic,i can sleep resume without crashes and cpu powersave works,however i cannot reproduce the same behavior in other distros.

it is worth noting that i am using fedora xfce4 spin, not the workstation edition

Darksurf (piroisl33t-u) wrote :

you: 4.15 kernel doesn't officially support raven ridge CPUs, so yeah power consumption is going to be bad. You need minimum of 4.18. Have you tried ubuntu 18.10 with the IVRS flags added?

you (bountou) wrote :

Darksurf > Never tried 18.18, I would like to stay on LTS.
4.18 or 4.19 was working ok but I didnt saw any better power consumption and CPU temp are higher (70° idle) and I get some issue because of "unsigned kernel" so I guess I'm better to stay on 4.15 for now.. and stay plugged with the powersupply. ;-P

Another User (another-user) wrote :

Strange... Is there really almost the same laptops with Metapod_RR motherboard?
Mine have 38-46C idle temp and 72C while gaming with AC plugged. With TLP Ubuntu reports for 5+ hours estimated battery runtime (idle, almost minimum brightness; 4h without TLP). Or 3 hours of FHD video in VLC. So real battery life is somewhere between.
On Windows 10 I had similar results, but used it for few days.
Only problem is higher battery drain after sleep-resume.

you (bountou) wrote :

My mistake. I've move back to 4.19 and CPU is at 75° minimum on idle... But my mistake is when I'm on 4.15, CPU temp is not showing at all.... So the temp is maybe high even on 4.15.
So I'll stay on 4.19. 1h30 battery life from 100% to 10% only by using chromium and the terminal mostly... still bad when I reach 3h on windows.. and this laptop is supposed to have a 6 hours battery life.

Another User (another-user) wrote :

you (bountou), have you tried reset bios settings to defaults and/or perform battery reset?

you (bountou) wrote :

I never made a battery reset but it's the same since the day when I bought it and I've try differents bios, resetting bios, reinstalling entire ssd, and I still get a fast dried battery on linux. (so it should not linked to my battery but to linux)

Another User (another-user) wrote :

You may check cpu frequency and try to cap it via cpupower. But high power drain persist in windows too, so this is not fully linux problem.

To be honest, i'm not believe battery reset helps, but who knows...
There was another (cpu related) problem with another Acer laptop, that was fixed that way. I found this while searching solution for "this topic" ACPI issue:
https://forums.gentoo.org/viewtopic-t-1081448.html

Nikhil Gautam (nikhil2000) wrote :

Can I have a final solution to this problem??

I have the same Acer Aspire A314 with Ryzen 5 2550u, 8 GB RAM and 1TB HDD.

I tried multiple times and with different distro including the latest Ubuntu 18.10 and Manjaro Linux, still face the problem.

If someone breakbtge fix down to a few simple steps which I can follow, it will would be highly appreciated.

siyia (siyia) wrote :

Only real fix i found is to use fedora 29 with noapic, acpi on those laptops isnt working on other distros for some reason.

siyia (siyia) on 2018-11-18
Changed in amd:
status: New → Fix Committed
Nikhil Gautam (nikhil2000) wrote :

Darksurf(pirois331-u),

Can tell how much progress has Acer Support team has done so far?

Aroiu Ovidiu (ixanneo) on 2018-11-20
Changed in amd:
status: Fix Committed → Fix Released

I cannot reboot,shutdown,suspend in fedora with kernel 4.19.2, kernel 4.18.6 works fine,no errors in dmesg, how is kernel 4.19.x working for you in various distros?

Nikhil Gautam (nikhil2000) wrote :

Good new, Everyone!!

I tried to install Manjaro 18(Gnome) in my laptop, it boots without any boot flag not even acpi=off. As for now I am currently installing it on my system.

This a WiFi bug that facing but I think that can be easily fixed.

Good day.

Nikhil Gautam (nikhil2000) wrote :

Also, all the acpi features works as they should including touchpad (advanced), brightness keys

siyia (siyia) wrote :

Your laptop series are slightly different, a315 series dont boot manjaro without noapic at least.

Nikhil Gautam (nikhil2000) wrote :

No, It is Acer Aspire A315-41 (without the discrete graphics) with Ryzen 2500u , Vega 8.
(I mistakenly wrote the wrong model number , sorry)

siyia (siyia) wrote :

Mine is Acer Aspire with Ryzen 3 2200u and radeon 535 i could not boot manjaro xfce without any parameters did you choose non-free gpu drivers?

siyia (siyia) wrote :

I get soft cpu lock up...

Nikhil Gautam (nikhil2000) wrote :

No, I choose free gpu drivers.

Nikhil Gautam (nikhil2000) wrote :

Did you try latest version of Manjaro?

siyia (siyia) wrote :

Yes manjaro 18.0

Another User (another-user) wrote :

Ubuntu 18.10 can boot with acpi=noirq kernel parameter from liveUSB. At first glance it works well (HDMI, ethernet and suspend had not been tested). While dmesg is hugely different from "noapic", /proc/interrupts still shows no APIC controller in use.

I don't know if it is the same problem, but the Lenovo notebooks Lenovo E585 and Lenovo E485 with Ryzen 5 2500U or Ryzen 7 2700U also do not boot on Linux. This is very frustrating, because you have to add command lines to GRUB make them even able to boot on Linux:

ivrs_ioapic[32]=00:14.0 ivrs_ioapic[33]=00:00.1
and
spec_store_bypass_disable=on or spec_store_bypass_disable=seccomp

Otherwise Linux does not boot.

Thanks to evilazrael who found that workaround, otherwise still no-one would be able to boot a Linux distribution on the laptop.

The initial analysis from him you find here:
https://evilazrael.de/node/401

An ongoing discussion of the case you find here:
https://forums.lenovo.com/t5/ThinkPad-11e-Windows-13-E-and/ThinkPad-E485-E585-Firmware-bug-ACPI-IVRS-table/m-p/4191484

It would be nice if it would be fixed, because many user will relinquish using Linux if it does not boot on the first time, and also all others users need a fix, because the workaround may reduces performance and increases power use.

Kalin Stoyanov (kgstoyanov) wrote :

Let me preface this by saying that I'm mainly a windows user, and (unluckily) the first time I am running linux on hardware is my Acer A315-41 so take that as you will.

Here's what happened with me:
- I initially used "pci=noacpi" to install ubuntu, and it was running as you might expect from the comments here (hang on suspend, brightness buttons not working).
- After I found this page, I tried "ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2" and the performance was significantly worse - the laptop heated noticeably in idle and the battery drained really fast. I could now use the brightness keys, but the screen was stuck on max brightness and it did not change.
- Finally I reverted back to "pci=noacpi", and it looks better. According to Power Statistics battery drain is about 12W in idle, and when I ran a stress test it got up to 21W so there is some kind of power management going on. The strangest thing is that even though I reverted the parameters back, I can no longer change the screen brightness at all (the default slider from power management is gone, "brightness controller" I downloaded does nothing, f.lux does not work)

At this point i may reinstall ubuntu and keep it at noacpi or switch to fedora and see if it really works

siyia (siyia) wrote :

use fedora with noapic and kernel 4.18, dont use kernel 4.19 it is a disaster with this laptop you cant even reboot or shutdown

Kalin Stoyanov (kgstoyanov) wrote :

@siya, does this actually make the apic features work? I tried the latest fedora install (mate variation) from the website, as I don't really know much about kernels and so on.. Sure it ran without the errors after the initial installation, but it was still in the same state as ubuntu - hanging on suspend, extra keys not working, and even the touchpad was reduced to basic functionality, while in ubuntu it worked as advanced, even though it's set to "basic" in the BIOS. I didn't bother checking power drain and so on since if these are going to be broken anyways I'd rather use ubuntu..

siyia (siyia) wrote :

suspend never crashes on fedora for me with kernels 4.18.x and 4.20rcx-mainline and noapic.all super keys work but i use xfce4 and the xfce4 power manager for brightness keys,dunno which power manager mate uses,the advanced touchpad think has to do with a driver that ubuntu has and fedora does not at the moment,cpu powesave also works fine with noapic,whereas if you use ivrs_ioapic remaping cpu powersave does not work after suspend on any distro.So the main advantage fedora has over other distros is that they managed to make suspend-resume work with noapic.

Richard Baka (bakarichard91) wrote :

Dear All,

there is no orther way to get a correct ACPI behavior than fixing the ACPI tables manually.

siyia (siyia) wrote :

you cannot completely fix the acpi tables on those laptops,2 ssdt tables cannot decompile no matter the combination you use, so it is impossible to fix.

siyia (siyia) wrote :

a bios update or kernel hack is required.

siyia (siyia) wrote :

funny thing is i bought the laptop from acer with linpus linux in it and thought it was linux friendly,oh well....

Aroiu Ovidiu (ixanneo) wrote :

Hello to all. Maybe a moded bios will help. But I don't know how to do it.

siyia (siyia) wrote :

Acer has to provide one ;)

Aroiu Ovidiu (ixanneo) wrote :

Yes...probably never

Nikhil Gautam (nikhil2000) wrote :

I don't know why Manjaro 18 (Gnome) works for me?maybe I got lucky ;-); clean install, no damn boot args, everything works( brightness keys, trackpad on advanced, etc), power management works like a charm.

At first, I had a WiFi bug, which was fixed when I updated Manjaro using ethernet connection.

My laptop is Acer Aspire A315-41(Ryzen 5 2500u).Also, there will be no WiFi issues if you can use KDE version, but just find it very buggy and slow, so kept using Gnome

siyia (siyia) wrote :

bios version of your laptop?i find it hard to believe that you can boot with additional kernel parameters

siyia (siyia) wrote :

*without

Nikhil Gautam (nikhil2000) wrote :

Yuup, latest version (1.09).
I was also shocked when worked.

Pic:-

https://drive.google.com/file/d/1BUuJCczocVGFClxiTNGOk1GcnpfKdSLH/view?usp=drivesdk

Nikhil Gautam (nikhil2000) wrote :

Sorry, can't give you more data now as I am having my end sem exams in college, but as soon as they are ie on 12, I will give you more data

Aroiu Ovidiu (ixanneo) wrote :

There is a new version of BIOS for aspire 3 a315-41 (v 1.11) but the download page is not working at the moment....

https://www.acer.com/ac/en/US/content/support-product/7540?b=1

siyia (siyia) wrote :

it only shows 1.09 where is it pls!!!?

Aroiu Ovidiu (ixanneo) wrote :
siyia (siyia) wrote :

omg i had to press all in the support tab i see it!!! hope this takes care of the issue still cannot download though,if i use windows 10 trial will i be able to update bios i dont want to buy windows 10?

Aroiu Ovidiu (ixanneo) wrote :

You will be fine with trial ;)

siyia (siyia) wrote :

This is crazy link still doesnt work!!!

siyia (siyia) wrote :

i updated to bios v 1.11 and sadly didnt saw any improvement

Aroiu Ovidiu (ixanneo) wrote :

:(

Where did you found it? I still can't download....

siyia (siyia) wrote :

i have a315-41g not a315-41 be careful

bios update v1.11 didnt help

Aroiu Ovidiu (ixanneo) wrote :

You're right....no visible changes :(

siyia (siyia) wrote :

i think i ll pull my hair out!!!so many bios updates....

Aroiu Ovidiu (ixanneo) wrote :

.....and no fix!

It might be interesting that I can boot without pci=noacpi / noapic on an installation of gentoo/openrc on all recently-ish kernels. Soft lockups seem to be triggered on almost all distributions while the systemd service udev hangs. I will test it out, since BIOS update 1.11 did not help any.

Aroiu Ovidiu (ixanneo) wrote :

Please keep us up to date. Thanks!

Aroiu Ovidiu (ixanneo) wrote :

By the way, freebsd isn't booting eighter...

Richard Baka (bakarichard91) wrote :

I patched the ssdt tables and my ubuntu 18.10 works perfectly. There is no need to fix everything but the most important parts.

Kalin Stoyanov (kgstoyanov) wrote :

Do you mean "ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2"? That made my laptop perform worse than with "noacpi" (on ubuntu 18.04 with acer 315-41 (not G)) - it started heating up in idle, and battery drained faster. I didn't try building the kernel like you suggested earlier but to be honest at this point I am sick of reinstalling linux over and over again, and want something that would be guaranteed to work.

Aroiu Ovidiu (ixanneo) wrote :

With "pci=noacpi amd_iommu=on" and touchpad on "basic" I have good result on Ubuntu 18.10. Sleep/resume working fine, idle cpu temp 38 degree, performance fine too.

siyia (siyia) wrote :

post output of watch lscpu

siyia (siyia) wrote :

after resuming from suspend

Aroiu Ovidiu (ixanneo) wrote :

I can't :( Just instaled Solus, update it and now it's stuck on bios splash.... I'll install Ubuntu again when I have time and post lscpu.

siyia (siyia) wrote :

In manjaro 18 pci=noacpi disables dgpu.

siyia (siyia) wrote :

noapic works fine only the bloody suspend isnt working

Richard Baka (bakarichard91) wrote :

noapic, noacpi, etc: all of them are incorrect fixes for this problems. These are just workarounds. With using these you limit the one of the most important part of your notebook hardvare functions/behaviour. It's better if you install Windows 10 instead of using these limitations.

https://wiki.ubuntu.com/Kernel/Reference/ACPITricksAndTips

siyia (siyia) wrote :

anything is better than Windows 10

Richard Baka (bakarichard91) wrote :

I sent you my hacked acpi tables, why don't you use them?

siyia (siyia) wrote :

Well, i used your tables and they work like pci=noacpi, they disable my dgpu and suspend doesnt work. If you have patched your tables again, against bios 1.11 please send them again for testing.

Richard Baka (bakarichard91) wrote :

siyia, why would I ask it if they didn't worked well? They work correctly so you did something wrong. Show me a dmesg with custom table loading.

siyia (siyia) wrote :

all i did differently was load my own dsdt with your ssdts tables, with your dsdt table and your ssdts my pc wouldnt boot,please post them here as attachments so everyone can test please

Richard Baka (bakarichard91) wrote :

siyia, you have exactly the same laptop model as I have, they should work. You do something wrong. Maybe you use an incorrect grub or kernel parameter.

this a section of my /boot/grub/grub.cfg. Yours should look like this.
### BEGIN /etc/grub.d/40_custom_proxy ###
menuentry "Ubuntu" --class ubuntu --class gnu-linux --class gnu --class os $menuentry_id_option 'gnulinux-simple-0986d268-5f46-4555-9214-1d9dffa79286' {
 recordfail
 load_video
 gfxmode $linux_gfx_mode
 insmod gzio
 if [ x$grub_platform = xxen ]; then insmod xzio; insmod lzopio; fi
 insmod part_gpt
 insmod ext2
 set root='hd0,gpt2'
   acpi /boot/amls/ssdt10.aml
   acpi /boot/amls/ssdt11.aml
   acpi /boot/amls/ssdt13.aml
   acpi /boot/amls/ssdt14.aml
   acpi /boot/amls/ssdt1.aml
   acpi /boot/amls/ssdt2.aml
   acpi /boot/amls/ssdt3.aml
   acpi /boot/amls/ssdt4.aml
   acpi /boot/amls/ssdt5.aml
   acpi /boot/amls/ssdt6.aml
   acpi /boot/amls/ssdt8.aml
   acpi /boot/amls/ssdt9.aml
 if [ x$feature_platform_search_hint = xy ]; then
   search --no-floppy --fs-uuid --set=root --hint-bios=hd0,gpt2 --hint-efi=hd0,gpt2 --hint-baremetal=ahci0,gpt2 0986d268-5f46-4555-9214-1d9dffa79286
 else
   search --no-floppy --fs-uuid --set=root 0986d268-5f46-4555-9214-1d9dffa79286
 fi
 linux /boot/vmlinuz-4.18.0-10-generic root=UUID=0986d268-5f46-4555-9214-1d9dffa79286 ro ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=0:00.2 quiet splash $vt_handoff
 initrd /boot/initrd.img-4.18.0-10-generic

Additional kernel parameters aren't needed. Don't change iommu settings or anything else. Iommu should be enabled in bios menu.

siyia (siyia) wrote :

"ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=0:00.2" why are you using ioapic remapping if they work?what exactly did your patched tables fixed?

Michael J (drvrmike1) wrote :

Hi All...Have A315-41-R8UU Bios v. 1.11. What I have tested: Debian 9 Stretch [with firmware] kernel 4.9x, xfce4...This boots, without issue, but haven't tested out it's stability long-term. No boot args needed. Brightness controls do not work. Also tested openSUSE Leap 15, no boot args, KDE edition. Brightness controls do not work. Will eventually freeze after some time idle. On both distros, get the same acpi bugs during boot. To try and mitigate some of the BIOS bugs, I turned off WoL, SATA ch1, Open Lid resume, Disable TPM (would get tpm errors on boot), D2D Recovery disabled, secure boot disabled, and basic touchpad. Oddly, when attempting to install xubuntu 18 LTS or debian 9 testing, that's when I get all the errors described above. I have added the ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=0:00.2 to grub when trying to run the installers, and they will indeed run, at low resolution. Why would older kernels run without the boot params for acpi, while these newer kernels will not? Maybe this can help someone? This thing so far, is a paperweight.

Richard Baka (bakarichard91) wrote :

siyia (siyia), ok you are right, 1.11 messed it up, there is no suspend, I was wrong. With previous versions it worked perfectly but remapping was needed.

Richard Baka (bakarichard91) wrote :
Download full text (3.2 KiB)

Ok, I've jus done a restart and it works now. I don't understand.

[ 485.749519] [drm:amdgpu_device_ip_suspend [amdgpu]] *ERROR* suspend of IP block <vcn_v1_0> failed -12
[ 485.812592] amdgpu 0000:04:00.0: 000000005ebb32cf unpin not necessary
[ 485.896218] ACPI: EC: interrupt blocked
[ 485.934777] ACPI: Preparing to enter system sleep state S3
[ 485.936578] ACPI: EC: event blocked
[ 485.936579] ACPI: EC: EC stopped
[ 485.936580] PM: Saving platform NVS memory
[ 485.936876] Disabling non-boot CPUs ...
[ 485.951469] irq_migrate_all_off_this_cpu: 11 callbacks suppressed
[ 485.951470] IRQ 57: no longer affine to CPU1
[ 485.952546] smpboot: CPU 1 is now offline
[ 485.976477] smpboot: CPU 2 is now offline
[ 485.999454] IRQ 27: no longer affine to CPU3
[ 485.999466] IRQ 36: no longer affine to CPU3
[ 485.999474] IRQ 37: no longer affine to CPU3
[ 485.999484] IRQ 45: no longer affine to CPU3
[ 485.999491] IRQ 46: no longer affine to CPU3
[ 485.999502] IRQ 58: no longer affine to CPU3
[ 486.000520] smpboot: CPU 3 is now offline
[ 486.024544] smpboot: CPU 4 is now offline
[ 486.047503] IRQ 28: no longer affine to CPU5
[ 486.047512] IRQ 30: no longer affine to CPU5
[ 486.047522] IRQ 34: no longer affine to CPU5
[ 486.048585] smpboot: CPU 5 is now offline
[ 486.072036] smpboot: CPU 6 is now offline
[ 486.096002] smpboot: CPU 7 is now offline
[ 486.098409] ACPI: Low-level resume complete
[ 486.098463] ACPI: EC: EC started
[ 486.098463] PM: Restoring platform NVS memory
[ 486.287964] Enabling non-boot CPUs ...
[ 486.288008] x86: Booting SMP configuration:
[ 486.288008] smpboot: Booting Node 0 Processor 1 APIC 0x1
[ 486.290582] cache: parent cpu1 should not be sleeping
[ 486.290678] microcode: CPU1: patch_level=0x0810100b
[ 486.290825] CPU1 is up
[ 486.290862] smpboot: Booting Node 0 Processor 2 APIC 0x2
[ 486.293528] cache: parent cpu2 should not be sleeping
[ 486.293664] microcode: CPU2: patch_level=0x0810100b
[ 486.293875] CPU2 is up
[ 486.293899] smpboot: Booting Node 0 Processor 3 APIC 0x3
[ 486.296526] cache: parent cpu3 should not be sleeping
[ 486.296650] microcode: CPU3: patch_level=0x0810100b
[ 486.296872] CPU3 is up
[ 486.296946] smpboot: Booting Node 0 Processor 4 APIC 0x4
[ 486.300467] cache: parent cpu4 should not be sleeping
[ 486.300610] microcode: CPU4: patch_level=0x0810100b
[ 486.300850] CPU4 is up
[ 486.300874] smpboot: Booting Node 0 Processor 5 APIC 0x5
[ 486.303506] cache: parent cpu5 should not be sleeping
[ 486.303628] microcode: CPU5: patch_level=0x0810100b
[ 486.303966] CPU5 is up
[ 486.303996] smpboot: Booting Node 0 Processor 6 APIC 0x6
[ 486.306660] cache: parent cpu6 should not be sleeping
[ 486.306790] microcode: CPU6: patch_level=0x0810100b
[ 486.307076] CPU6 is up
[ 486.307100] smpboot: Booting Node 0 Processor 7 APIC 0x7
[ 486.309745] cache: parent cpu7 should not be sleeping
[ 486.309900] microcode: CPU7: patch_level=0x0810100b
[ 486.310242] CPU7 is up
[ 486.311320] ACPI: Waking up from system sleep state S3
[ 486.312939] ACPI: EC: interrupt unblocked
[ 486.377731] ACPI: EC: event unblocked
[ 486.379966] [drm] PCIE GART of 1024M enabled (table at 0x0000...

Read more...

siyia (siyia) wrote :

ok please send them to me at <email address hidden> or post them here in a .zip named with the laptop model so we can test.

siyia (siyia) wrote :

maybe my laptop is slightly different all though our iommu dump is the same, i have ryzen 3 with radeon 535, you have ryzen 5 with radeon 535

siyia (siyia) wrote :

also if you check with watch lscpu after resuming cpu frequency runs at max if you used remap kernel parameters

Richard Baka (bakarichard91) wrote :

Vendor ID: AuthenticAMD
CPU family: 23
Model: 17
Model name: AMD Ryzen 5 2500U with Radeon Vega Mobile Gfx
Stepping: 0
CPU MHz: 1402.460
CPU max MHz: 2000,0000
CPU min MHz: 1600,0000
BogoMIPS: 3992.22
Virtualization: AMD-V

acpitool -c
ű CPU type : AMD Ryzen 5 2500U with Radeon Vega Mobile Gfx
  Min/Max frequency : 1600/2000 MHz
  Current frequency : 1466 MHz
  Frequency governor : ondemand
  Freq. scaling driver : acpi-cpufreq
  Cache size : 1466.690 KB
  Bogomips : 3992.22
  Bogomips : 3992.22
  Bogomips : 3992.22
  Bogomips : 3992.22
  Bogomips : 3992.22
  Bogomips : 3992.22
  Bogomips : 3992.22
  Bogomips : 3992.22
  Function Show_CPU_Info : could not read directory /proc/acpi/processor/
  Make sure your kernel has ACPI processor support enabled.

cpufreq: CPU frequency scaling tests.
--------------------------------------------------------------------------------
Test 1 of 7: CPU frequency table consistency
PASSED: Test 1, CPU frequency tables are consistent

Test 2 of 7: CPU frequency table duplicates
PASSED: Test 2, No duplicates in CPU frequency table

Test 3 of 7: CPU frequency firmware limits
PASSED: Test 3, CPU BIOS limit OK

Test 4 of 7: CPU frequency claimed maximum
PASSED: Test 4, CPU max frequencies OK

Test 5 of 7: CPU frequency SW_ANY control
PASSED: Test 5, P-state coordination under hardware control.

Test 6 of 7: CPU frequency SW_ALL control
PASSED: Test 6, Firmware SW_ALL OK

Test 7 of 7: CPU frequency performance tests.
PASSED: Test 7, CPU performance scaling OK

maxfreq: Test max CPU frequencies against max scaling frequency.
--------------------------------------------------------------------------------
Test 1 of 1: Maximum CPU frequency test.
This test checks the maximum CPU frequency as detected by the kernel for each
CPU against maxiumum frequency as specified by the BIOS frequency scaling
settings.
SKIPPED: Test 1, Cannot read CPU frequencies from /proc/cpuinfo, this generally
happens on AMD CPUs, skipping test.

siyia (siyia) wrote :

they seem alright, send me your patched tables or send them to my email please i want to test them again.

siyia (siyia) wrote :

you only use ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=0:00.2 and load your tables, is this right?

Richard Baka (bakarichard91) wrote :

yep, I'm trying to make a better patch, please be patient :D

Michael J (drvrmike1) wrote :

FWIW...Last night, I upgraded Debian9 from stock kernel 4.9 -> 4.18 using debian-backports. Very important, forced the amd-gpu firmware to the backported version also. Have ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=0:00.2 added to my grub config permanently. No boot errors and it is using the raven ridge dgpu drivers [DRM]. Suspend works a treat and left it on for almost 24hrs, no lockups. Runs cool, with the fan hardly coming on [low RPM]. Seems quite stable. This may be of help to anyone that needs a distro to use for the time being. According to my research, seems a lot of these issues are due to buggy BIOS acpi tables and lack of raven ridge dgpu support in the kernel.

Kalin Stoyanov (kgstoyanov) wrote :

Hi all, I decided to try "ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=0:00.2" and it actually worked for me. It is possible that I am a complete idiot and misspelled it 5 times in a row before, but I could have sworn it did nothing before. Now suspend and brightness keys work..:

k@k-Aspire-A315-41:~$ journalctl -b | grep AMD-Vi
Dec 13 21:57:49 k-Aspire-A315-41 kernel: AMD-Vi: IOMMU performance counters supported
Dec 13 21:57:49 k-Aspire-A315-41 kernel: AMD-Vi: Found IOMMU at 0000:00:00.2 cap 0x40
Dec 13 21:57:49 k-Aspire-A315-41 kernel: AMD-Vi: Extended features (0x4f77ef22294ada):
Dec 13 21:57:49 k-Aspire-A315-41 kernel: AMD-Vi: Interrupt remapping enabled
Dec 13 21:57:49 k-Aspire-A315-41 kernel: AMD-Vi: virtual APIC enabled
Dec 13 21:57:49 k-Aspire-A315-41 kernel: AMD-Vi: Lazy IO/TLB flushing enabled

However it the sensors are still not working:
(this is exactly the same as before)
k@k-Aspire-A315-41:~$ sensors
amdgpu-pci-0300
Adapter: PCI adapter
fan1: N/A
temp1: +0.0°C (crit = +0.0°C, hyst = +0.0°C)

k10temp-pci-00c3
Adapter: PCI adapter
temp1: +44.2°C (high = +70.0°C)

I am still running Ubuntu 18.04 with the oldest bios. Full model is A315-41-R88G
dmesg: https://paste.ubuntu.com/p/vmPdsQSRt4/
lspci: https://paste.ubuntu.com/p/g5NPcBhFpw/

siyia (siyia) wrote :

amdgpu-pci-0300 sensor works only if the gpu is under load

Kalin Stoyanov (kgstoyanov) wrote :

Ok, I'll try putting it under load when I have the time. But I thought there were supposed to be more cpu sensors.. or am I wrong?

Richard Baka (bakarichard91) wrote :

siyia (siyia), e-mail has been sent.

schlauf (schlauf) wrote :

I performed a full 18.10 install and my A315-41 with Ryzen 3 2200U performed flawlessly. Everything works out of the box, except for graphical performance.

Everything I am doing on the desktop has a little lag and it seems to me that CPU load is rising quickly already with simple tasks on the desktop. Is it possible that there is software rendering taking place? How would I find out? According to glxinfo, direct rendering is in effect.

Would it be the right action to install AMDGPU Pro driver? Or is there any other chance to make this piece of hardware sprint away?

siyia (siyia) wrote :

disable amd DC with kernel parameter amdgpu.dc=0

siyia (siyia) wrote :

on my polaris desktop i had low 2d performance and screen flickering the above parameter solved it,amdgpu dc is still under heavy development.

Aroiu Ovidiu (ixanneo) wrote :

2019 and no real fix....this is realy sad...
I'm going back to windows 10.....

siyia (siyia) wrote :

Hello all gentoo and gentoo based distros can boot on my laptop without any parameters!!!!

siyia (siyia) wrote :

Model is Aspire A315-41G

Hello all gentoo and gentoo based distros can boot on my laptop without any parameters!!!!

Acer Aspire A315-41G notebook

I made the same experience on A315-41 R2GU. But I needed two kernel options. If I remember correctly it was SME Encryption = No (under Processor and Features?) and another one, to prevent freezes in one of the later C-States.

Ok. According to https://wiki.gentoo.org/wiki/AMDGPU disabling SME is needed for AMDGPU: "Currently, amdgpu does not work with AMD Secure Memory Encryption (SME) enabled, so you need to disable its use either in the kernel configuration or on the kernel command line (i.e. in /etc/default/grub as part of GRUB_CMDLINE_LINUX)."

siyia (siyia) wrote :

i have only the udev gets stuck problem on other linuxes,with gentoo i do not need to add another kernel parameter weird isnt it?

Created attachment 280537
dmesg from gentoo based distro

[ 0.131050] [Firmware Bug]: AMD-Vi: IOAPIC[4] not in IVRS table
[ 0.131052] [Firmware Bug]: AMD-Vi: IOAPIC[5] not in IVRS table
[ 0.131053] [Firmware Bug]: AMD-Vi: No southbridge IOAPIC found
[ 0.131054] AMD-Vi: Disabling interrupt remapping
[ 0.131076] Switched APIC routing to physical flat.

They seem to disable interrupt remapping like windows 10 does.

Yes, but did you use systemd or openrc variants of gentoo? And did you use ~amd64 or stable? I used ~amd64 openrc. With a self-customized kernel (not the genkernel one). And it worked for a lot of different kernel versions. I had to tweak stability through kernel parameters like nomwait=true, though.

siyia (siyia) wrote :

i used kernel 4.20.1 from vanilla sources with the config from 4.19 and openrc, i also tried artix linux which is arch&openrc and the udev service stuck like in other systemd linuxes.

gentoo dmesg :[ 0.205850] ACPI: 14 ACPI AML tables successfully acquired and loaded
In other distros 13 ACPI AML tables load and 1 fails for some reason despite the same bios bugs.

siyia, what did you change in the config to fix that?

nothing i used the default gentoo config for kernels

I'm using Sabayon which is Gentoo based and has the problem. I need to know the difference here lol.

Try calculate linux it works for sure, pure gentoo also works, and any kernel from the gentoo vanilla/sources works,i used them with openrc though.

I can upload my kernel config if you can use it?

Created attachment 280557
attachment-24023-0.html

Yeah, I can perform a diff and locate the change that is ACPI or APIC
related. Thanks.

On Thu, Jan 17, 2019, 08:10 <<email address hidden> wrote:

> https://bugzilla.kernel.org/show_bug.cgi?id=200087
>
> --- Comment #84 from siyia (<email address hidden>) ---
> I can upload my kernel config if you can use it?
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.

Created attachment 280559
Working kernel config NO parameters (gentoo)

There you go please report back if it works for you

The issue doesnt lie within the kernel .config, i compiled a gentoo kernel with archlinux vanilla .config and i could still boot without parameters.

Created attachment 280603
attachment-14989-0.html

The question is what is in the config that causes everything to work. Even
a vanilla config can possibly match the Gentoo config in an option that
fixes ACPI.

On Sun, Jan 20, 2019, 06:03 <email address hidden> wrote:

> https://bugzilla.kernel.org/show_bug.cgi?id=200087
>
> --- Comment #87 from siyia (<email address hidden>) ---
> The issue doesnt lie within the kernel .config, i compiled a gentoo kernel
> with
> archlinux vanilla .config and i could still boot without parameters.
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.

The problem with these acer laptops seems to be that the "flat" APIC mode is used instead of "physical flat".With "physical flat" model acpi works fine and acpi tables seem to load successfully, you can later optionally remap the ivrs tables without hanging.Would it be possible to have a switch like a kernel parameter that skips autodetection of APIC model and let us choose the preffered one?

Well, autodetection does appear to work so long as the appropriate settings are detected or already set. REMAP_IRQ was the missing option for Sabayon that allowed physical flat to occur after mapping missing IVRS data in grub commandline otherwise I had to use noapic before enabling this. I must admit though, that finding out about this option was rather difficult since its not triggered by the user, but by the selections already chosen in the kernel.

Aroiu Ovidiu (ixanneo) wrote :

Working solutions:

pci=noacpi.........worst

Or

idle=nomwait
iommu=pt
amd_iommu=on
rcu_nocbs=0-3
pcie-aspm=off
ivrs_ioapic[4]=00:14.0
ivrs_ioapic[5]=00:00.2
amdgpu.dc=1
...................medium

Or

splash (erase quiet)
ivrs_ioapic[4]=00:14.0
ivrs_ioapic[5]=00:00.2
clocksource=hpet
iommu=on
amd_iommu=on
amdgpu.dc=1
...................best

Aroiu Ovidiu (ixanneo) wrote :

Tested on ubuntu 19.04 develop.
Suspend/resume working fine, boot time fast, instaled on hdd with ext4 (pretty fast operation), turbo is working fine, touchpad ok (advanced setting in uefi)......

siyia (siyia) wrote :

why clocksource=hpet?

rcu_nobs=0-3? I thought there were more cores?

Aroiu Ovidiu (ixanneo) wrote :

I have ryzen 2200u...so 4 cores for me

Thanks for providing here attachment of product ACPI with hardware details x86-64 Linux. It is very useful information for IT learners of Assignment Help Folks where they are come to get statistics assignment help - http://www.assignmenthelpfolks.com/statistics/ from professional assignment experts.

Kalin Stoyanov (kgstoyanov) wrote :

Hey I was running ubuntu with just "ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2" for some time, but after a while the performance degraded (i.e. noticeable slowdown of different actions). I'll see if it's better with the other parameters suggested by Aroiu.

Ida Wallace are you spamming? Are you a spambot or is your account just being used to spam? I don't see how your post does anything to benefit while pitching a pay service to help people with homework.

Are these (other than noapic) workarounds really enable APIC controller? With acpi=noirq only PIC and MSI entries present in /proc/interrupts. So I assume acpi=off does the same. While noapic obviously disables APIC but works fine for me.
Looks like ivrs_ioapic... enables APIC, but in my case system is very slow and even not always boots.
Is disabled APIC have significant drawbacks (while most of devices placed on MSI-routed PCI lanes)?

I dont think so, but with noapic i think only 13 aml tables load instead of the 14 available,so you might get acpi problems with suspend/resume or cpu powersave features(at least that's what i get).Try running gentoo or calculate linux and test acpi and apic.Ideally "physical flat" apic model chosen by kernel config of those distros works fine in my case and all 14 aml tables load.

Kalin Stoyanov (kgstoyanov) wrote :

Looks like when not using "pci=noacpi", Xorg takes 100% of one of my cpu cores and that's what is causing the slowdown. I don't know how to resolve this though.. @to_load maybe the same happens to you as well?

siyia (siyia) wrote :

does it happen after resuming from suspend?or after first boot?

Kalin Stoyanov (kgstoyanov) wrote :

It happens on first boot.
I'm using ubuntu mate and i3wm

leodp (leodp) wrote :

Hi, same problem on my Laptop, also ACER315.41 but with Ryzen 7 2700U, Ubuntu 18.10, kernel: linux-4.18.0-13
The option pci=noacpi seems unstable, I'm not always able to complete the boot procedure and the graphical interface is not started (Unity or whatever).

As Ovidiu suggests in comment #314 this combination seems to work at best, but slows down the boot of a few seconds:
splash (erase quiet)
ivrs_ioapic[4]=00:14.0
ivrs_ioapic[5]=00:00.2
clocksource=hpet
iommu=on
amd_iommu=on
amdgpu.dc=1

CPU temp below 50°C even for a high load, battery duration seems ok, but I have not measured it. BIOS version 1.09

mprotic (mprotic) wrote :

I can't make gpu and suspend work at the same time on Acer A315 41G R6IM with Ryzen 2500U and Radeon 535.

If I use pci=noacpi gpu works fine, but laptop hangs on suspend, if I use ivrs_ioapic... suspend works fine but with no 2d gpu acceleration - everything works sluggish, very high cpu on scroling or moving windows etc., since, obviously, cpu does the work.

Tested kernel:
ubuntu 18.04 with 4.15 kernel
ubuntu 18.04. with 4.18 hwe kernel and hwe stack
also tried 19.04 from daily builds with no success, obviously gpu patch still didn't make it to kernel in 19.04 daily builds.

Tested kernel params:
ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2 clocksource=hpet iommu=on amd_iommu=on amdgpu.dc=1
amdgpu.runpm=0 radeon.modeset=0 amdgpu.dc=0
... other kernel arams mentioned in this thread

Any ideas on how to make Vega gpu run properly with ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2 (basically I don't need radeon 535 at all since I don't play games, I only need 2d acceleration for X) ?

Aroiu Ovidiu (ixanneo) wrote :

Did you try all this parameters together? Or in what combination?

mprotic (mprotic) wrote :

Yes, I tried:

"text ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2 radeon.modeset=0 amdgpu.runpm=0"

"text ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2 clocksource=hpet iommu=on amd_iommu=on amdgpu.dc=1"

"idle=nomwait iommu=pt amd_iommu=on rcu_nocbs=0-7 pcie-aspm=off ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2 amdgpu.dc=1"

...

Tried 5.0 mainline kernel also, same result, suspend works, but graphics is slow and bumps cpu on system monitor to 10-50% just for moving windows in gnome, unlike pci=noacpi when cpu never goes anywhere near 10% for usual DE manipulations.

Also if run with ivrs_ioapic params, switcheroo service fails with message "switcheroo-cont[3648]: switcheroo-control could not query vga_switcheroo status: Operation not permitted". This might be interaction with this secure boot bug: https://bugs.launchpad.net/ubuntu/+source/switcheroo-control/+bug/1768988

BTW if I disable secure boot it doesn't boot at all with ivrs_ioapic params set.

guys the fix is coming in linux 5.1-5.2 its an amd display code bug,if
you want enable software cursor in xorg and the problem goes away

On 9/3/19 12:26 π.μ., mprotic wrote:
> Yes, I tried:
>
> "text ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2 radeon.modeset=0
> amdgpu.runpm=0"
>
> "text ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2 clocksource=hpet
> iommu=on amd_iommu=on amdgpu.dc=1"
>
> "idle=nomwait iommu=pt amd_iommu=on rcu_nocbs=0-7 pcie-aspm=off
> ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2 amdgpu.dc=1"
>
> ...
>
> Tried 5.0 mainline kernel also, same result, suspend works, but graphics
> is slow and bumps cpu on system monitor to 10-50% just for moving
> windows in gnome, unlike pci=noacpi when cpu never goes anywhere near
> 10% for usual DE manipulations.
>
> Also if run with ivrs_ioapic params, switcheroo service fails with
> message "switcheroo-cont[3648]: switcheroo-control could not query
> vga_switcheroo status: Operation not permitted". This might be
> interaction with this secure boot bug:
> https://bugs.launchpad.net/ubuntu/+source/switcheroo-
> control/+bug/1768988
>
> BTW if I disable secure boot it doesn't boot at all with ivrs_ioapic
> params set.
>

siyia (siyia) wrote :
Michael J (drvrmike1) wrote :

Just took a look on the Acer website also. The new BIOS is almost double in size, maybe they actually added the correct acpi tables this time around. The same exact MB is used in some HP and Lenovo laptops and their issues subsided with recent BIOS updates, let's hope the same for us. As for my long-term test (since an earlier post), was running Debian stretch with the 4.18 kernel, updated amdgpu, libdrm, and had the ioacpi workarounds added to grub. It was quite stable, with some complaints if the screen blanked. It, however, was not 100%. Do not try 4.19 or 012019 amdgpu firmware with Debian, it was a complete fail. However, fedora with 4.19 works, but haven't tested it long-term.

Michael J (drvrmike1) wrote :

Forgot to mention earlier, if anyone is using kernel param "amdgpu.dc=1", make sure to use "mem_encrypt=off" as the amd display core drivers are not correctly able to use that feature at the moment.

siyia (siyia) wrote :

after bios update you need to add i8042.nopnp to get the touchpad to work,but it wakes laptop from suspend if lid is open

siyia (siyia) wrote :

new bios autoenables advanced touchpad functionality
which causes problems no way to disable it!!! this is madness!!!

siyia (siyia) wrote :

if you want to suspend with lid open add i8042.nopnp in grub parameters and before suspend disable touchpad with fn keys

siyia (siyia) wrote :

However it fixed the apic issue!!!!

siyia (siyia) wrote :

i can boot manjaro linux without parameters!!!

bios 1.13 solve the ioapic failure for acer-aspire a315-41g, however it force enables advanced touchpad functionality by default.

siyia (siyia) wrote :

totally fixed on bios v 1.13 and latest manjaro with kernel 5.0.1 even touchpad works no parameters required!!!!

on kernel 5.01 with bios v 1.13 everything works out of the box even touchpad and suspend!!! it is time to close this nusty bug once and for all!!!

Michael J (drvrmike1) wrote :

This is good news! Been using a RPI more as it's way more reliable than this thing. As for the advanced touchpad, I believe it works correctly with fedora 29 or at least the kernel says to turn it on in syslog. Will pop the win10 drive in tomorrow to update BIOS and do a fresh install of Gentoo or something and keep you guys updated.

siyia (siyia) wrote :

i did the update from a live win10pe drive
if you dont want to install win10 it is safe to do, advanced touchpad and suspend work on all linuxes with kernel 5.0+ i tested it

siyia (siyia) wrote :

man this thing actually works!!! temps at idle are 42c on 20c ambient, cpu powersave works both before and after suspend, advanced touchpad works with no problems, you can optionally remap the ivrs_ioapic in grub after installation but it is not necessary anymore acpi works as expected.

A315-41 with BIOS 1.13 and kernel 5.0 has the same behaviour as before, IOAPIC tables are missing the two entries. The CPU stuck problem still occurs unless you specify the grub parameters specified in threads above. Also the battery has the same drain rate. It may worked for siya somehow but the bug is still present and should not be closed.

ivrs tables are missing for me too but i do not get the cpu stuck error anymore, also cpu powersave and acpi works on kernel 5.0 with bios v 1.13. I optionally remap the ivrs tables after linux installation just to remove the warnings, however my laptop model is A315-41g not A315-41.

Created attachment 281847
dmesg with bios 1.13 and manjaro 18.04 (no parameters

my dmesg no boot parameters added.secure boot is resetted cleared and disabled in bios

"ACPI: 15 ACPI AML tables successfully acquired and loaded"

everything acpi-wise seems to be working now.

siyia (siyia) wrote :

if after bios update v1.13, you find that occasionally the touchpad or the network doesn't play nice, add in grub parameters: "i8042.reset i8042.nomux"

update-grub and power cycle the laptop (shutdown completely for 10s)

also if you have problems with suspend/resume reset clear and disable secure boot for linux in bios

Kalin Stoyanov (kgstoyanov) wrote :

The new bios does not seem to help for A315-41. Ubuntu does not load without the parameters same as before. Manjaro boots (tried from usb only), but loads only 11 tables.

siyia (siyia) wrote :

that's weird, is your laptop model A315-41 or A315-41G?

siyia (siyia) wrote :

if you remap the ivrs tables on manjaro usb does it load all the 15 aml tables?

Kalin Stoyanov (kgstoyanov) wrote :

It's A315-41 (no G). The tables don't load even if I remap ivrs:

[ 0.903165] ACPI BIOS Error (bug): Failure creating [\_SB.PCI0.LPC0.EC0._Q46], AE_ALREADY_EXISTS (20180810/dswload2-316)
[ 0.903172] ACPI Error: AE_ALREADY_EXISTS, During name lookup/catalog (20180810/psobject-221)
[ 0.903174] ACPI Error: Skip parsing opcode Method (20180810/psloop-543)
[ 0.903180] ACPI BIOS Error (bug): Could not resolve [\_SB.PCI0.GPP2.BCM5], AE_NOT_FOUND (20180810/dswload2-160)
[ 0.903183] ACPI Error: AE_NOT_FOUND, During name lookup/catalog (20180810/psobject-221)
[ 0.903185] ACPI Error: Ignore error and continue table load (20180810/psobject-604)
[ 0.903186] ACPI Error: Skip parsing opcode Scope (20180810/psloop-543)
[ 0.904039] ACPI: 11 ACPI AML tables successfully acquired and loaded

siyia (siyia) wrote :

i also still get these errors, but before the bios update in my case some acpi aml tables would fail to load.

 [ 0.904039] ACPI: 11 ACPI AML tables successfully acquired and loaded

your acpi probably works as good as it can, no acpi aml tables fail

siyia (siyia) wrote :

this is what i had with bios v 1.11 and lower:

[ 0.000000] ACPI Error: 1 table load failures, 13 successful (20170831/tbxfload-246)

Kalin Stoyanov (kgstoyanov) wrote :

I don't know man, I don't believe it's fixed for me since it does not work under ubuntu (and all my stuff is set up there.. I kinda don't want to switch). Also it's strange that I am getting the exact same messages when searching dmesg for ACPI in ubuntu with "pci=noacpi". Shouldn't it say something different?

(In reply to siyia from comment #100)
> "ACPI: 15 ACPI AML tables successfully acquired and loaded"
>
> everything acpi-wise seems to be working now.

What about /proc/interrupts ? Is APIC is shown there?
In my case (noapic) irqs looks like:
12: 408608 0 0 0 XT-PIC i8042

Another User (another-user) wrote :

Kalin Stoyanov, I had slowdown on boot even before X-session with ivrs_ioapic param. Can not remember fan noise in X, so there was no heavy cpu usage.
Sorry for such long response - no email notifications from launchpad.
Have you tried acpi=noirq instead of pci=noacpi?

Kalin Stoyanov (kgstoyanov) wrote :

Yeah I am running it with "pci=noacpi" when I use the laptop. Tried "acpi=noirq" just now and it does not boot.
As for X, since I have 4 cores and 8 threads, 1 full thread registers as just 12% cpu used, and there was no fan noise, etc. I'd say that for me this indicates X is malfunctioning somehow under these settings (power management?), also most of the slowdown could have been visual lag (for example it was worse when moving windows and so on)

mprotic (mprotic) wrote :

I haven't been able to boot with no params with 1.13. bios, but now I can make it work with:

"text radeon.modeset=0 amdgpu.runpm=0 mem_encrypt=off ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2 rcu_nocbs=0-7 idle=nomwait acpi_enforce_resources=lax"

With these params everything works fine - gpu, suspend/resume, touchpad, function keys, normal cpu usage ....

Secure boot, enabled, also.

mprotic (mprotic) wrote :

... 4.18 hwe kernel with hwe stack on ubuntu 18.04

mprotic (mprotic) wrote :

After some more testing I found that these params are enough for me to boot properly on A315-41G, bios 1.13, ubuntu 18.04, kernel 4.18, uefi, secure boot:

"mem_encrypt=off ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2 rcu_nocbs=0-7 idle=nomwait acpi_enforce_resources=lax"

Another User (another-user) wrote :

I have "not-G" A315 with 2200u and can boot with acpi=noirq. With lots of warnings, but works, no slowdown. Thought this option does same with irqs as acpi=off or pci=noacpi (using MPTable instead of ACPI table).

I'm still on factory 1.03 BIOS, and with "noapic" parameter everything looks OK on Ubuntu 18.10. Also have idle=halt param to avoid "random soft lockup bug" https://bugzilla.kernel.org/show_bug.cgi?id=196683
I suspect, updating BIOS may bring more problems. So even new AGESA (which may fix lockup bug) is no worth reason for me to update.

Download full text (4.3 KiB)

   0: 41 0 0 337718 IR-IO-APIC 2-edge timer
   1: 0 0 0 435 IR-IO-APIC 1-edge i8042
   6: 0 0 900 0 IR-IO-APIC 6-edge AMDI0010:01
   7: 0 0 0 337784 IR-IO-APIC 7-fasteoi pinctrl_amd
   8: 0 1 0 0 IR-IO-APIC 8-edge rtc0
   9: 0 2 0 0 IR-IO-APIC 9-fasteoi acpi
  25: 0 0 0 0 PCI-MSI 4096-edge AMD-Vi
  26: 0 0 0 0 IR-PCI-MSI 18432-edge PCIe PME, aerdrv, pciehp
  27: 0 0 0 0 IR-PCI-MSI 28672-edge PCIe PME, aerdrv
  28: 0 0 0 0 IR-PCI-MSI 30720-edge PCIe PME, aerdrv
  29: 0 0 0 0 IR-PCI-MSI 133120-edge PCIe PME
  30: 0 0 0 0 IR-PCI-MSI 135168-edge PCIe PME
  32: 0 0 14 0 IR-PCI-MSI 1048576-edge rtsx_pci
  34: 5021 0 222 0 IR-PCI-MSI 2103296-edge xhci_hcd
  35: 0 0 0 0 IR-PCI-MSI 2103297-edge xhci_hcd
  36: 0 0 0 0 IR-PCI-MSI 2103298-edge xhci_hcd
  37: 0 0 0 0 IR-PCI-MSI 2103299-edge xhci_hcd
  38: 0 0 0 0 IR-PCI-MSI 2103300-edge xhci_hcd
  40: 0 43 0 0 IR-PCI-MSI 2105344-edge xhci_hcd
  41: 0 0 0 0 IR-PCI-MSI 2105345-edge xhci_hcd
  42: 0 0 0 0 IR-PCI-MSI 2105346-edge xhci_hcd
  43: 0 0 0 0 IR-PCI-MSI 2105347-edge xhci_hcd
  44: 0 0 0 0 IR-PCI-MSI 2105348-edge xhci_hcd
  46: 0 0 4560 4458 IR-PCI-MSI 2621440-edge ahci[0000:05:00.0]
  48: 0 0 0 0 IR-PCI-MSI 1050624-edge enp2s0f1
  51: 0 9953 0 0 IR-PCI-MSI 1572864-edge ath10k_pci
  52: 0 0 65 0 IR-PCI-MSI 524288-edge amdgpu
  54: 0 0 0 154 IR-PCI-MSI 2099200-edge snd_hda_intel:card0
  55: 743 0 0 0 IR-PCI-MSI 2109440-edge snd_hda_intel:card1
  56: 0 2933 52252 0 IR-PCI-MSI 2097152-edge amdgpu
  57: 0 0 0 2 amd_gpio 90 SYNA7DB5:01
 NMI: 0 0 0 0 Non-maskable interrupts
 LOC: 33374 41942 40050 31907 Local timer interrupts
 SPU: 0 0 0 0 Spurious interrupts
 PMI: 0 0 0 0 Performance monitoring interrupts
 IWI: 0 0 0 0 IRQ work interrupts
 RTR: 0 0 0 0 ...

Read more...

touchpad gets stuck sometimes during boot or after hibernation, but it is easy to
fix with a script containing:

modprobe -r i2c_hid
modprobe i2c_hid

anyways if acer uploads a new bios, i wont update again, i think it was pure luck they fixed it.

Kalin Stoyanov (kgstoyanov) wrote :

Could be difference in the model - mine is with Ryzen 2500U. I'd say give it a try if you are using/willing to switch to an arch based distro since Manjaro seemed to work ok (though I just tried it for about 5 mins off a usb, suspend and so on worked).
Other than that my touchpad stopped working in ubuntu with the new bios, but I fixed it "i8042.nopnp" as suggested by siyia above.

siyia (siyia) wrote :

actually dont use any parameters for grub when it comes to the touchpad, i found a better way to fix it.

create a bash script with:

modprobe -r i2c_hid

sleep 3;

modprobe i2c_hid

and run it with a systemd service at startup after lightdm.service

i8042.nopnp causes issues with suspend

Whoa, looks like ACER really trying fix this! Sadly, current solution is not working for all.
And touchpad behaviors somewhat strange. It forced to advanced mode in 1.03 bios too, but does not cause suspend issues - sleep by Fn+F1 works fine.

(In reply to siyia from comment #96)
> on kernel 5.01 with bios v 1.13 everything works out of the box even
> touchpad and suspend!!! it is time to close this nusty bug once and for
> all!!!
Could you please attach the kernel config used for that 5.0 kernel.

Created attachment 281883
Manjaro kernel config in use with bios 1.13

this is the standard running kernel config of manjaro nothing exotic.

Created attachment 281885
attachment-28119-0.html

They called out in BIOS update 1.12 that it was an attempt at fixing "Linux
SKU".

On Mon, Mar 18, 2019, 06:10 <email address hidden> wrote:

> https://bugzilla.kernel.org/show_bug.cgi?id=200087
>
> --- Comment #107 from siyia (<email address hidden>) ---
> Created attachment 281883
> --> https://bugzilla.kernel.org/attachment.cgi?id=281883&action=edit
> Manjaro kernel config in use with bios 1.13
>
> this is the standard running kernel config of manjaro nothing exotic.
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.

there is no bios update 1.12 where did you get this?

Created attachment 281887
attachment-32209-0.html

That update was for the AN515-42 Acer Nitro5. They're are legitimately
making an attempt, so color me impressed.

On Mon, Mar 18, 2019, 08:17 <email address hidden> wrote:

> https://bugzilla.kernel.org/show_bug.cgi?id=200087
>
> --- Comment #109 from siyia (<email address hidden>) ---
> there is no bios update 1.12 where did you get this?
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.

@Darksurf i looked at that laptop model and there was an 1.12 bios for it but the changes wasn't that exciting.
Bios 1.12
"1.Add SCCM solution.
2.Change touch pad mode from basic to advance for linux sku."
I do know that A315-41 got the touchpad changes as well with 1.13

Created attachment 281891
attachment-3076-0.html

So it looks like my changes in 1.12 got merged into everyone's 1.13? it's
an obvious attempt at some form of Linux support. BIOS tweaks don't have to
be exciting or glorious to show they're trying vs ignoring us. It's baby
steps in the right direction. They also don't breakdown the exact changes
making the changes seem vague and unexciting. Not much in the way of
details.

On Mon, Mar 18, 2019, 08:45 <email address hidden> wrote:

> https://bugzilla.kernel.org/show_bug.cgi?id=200087
>
> --- Comment #111 from Erik (<email address hidden>) ---
> @Darksurf i looked at that laptop model and there was an 1.12 bios for it
> but
> the changes wasn't that exciting.
> Bios 1.12
> "1.Add SCCM solution.
> 2.Change touch pad mode from basic to advance for linux sku."
> I do know that A315-41 got the touchpad changes as well with 1.13
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.

I think acer should join the Linux Foundation or sth, this is embarassing, they cant even create proper iASL compliant bios.

siyia, I don't think they created it. Firmwares are often manufactured by third party companies however it would be nice to see a studious community work.

Michael J (drvrmike1) wrote :

I finally updated to 1.13 bios. I also have the a315-41, not the 41g. Can confirm that it only loads 11 acpi tables. Still playing with the 4.19 fedora kernel (need to try newer distro, not much time tho). It boots with secure boot, touchpad works, seems about the same as before; not completely reliable, bit works. Still using the ivrs work-arounds. Will experiment more. Had to play with swapping drives for win 10.

Michael J (drvrmike1) wrote :

Ivrs workarounds no longer needed, but kernel will complain early on that it cannot find smbus and iommu, but will later in the boot process detect and load them (race condition?). So far working and temps are cool, fan doesn't come on nearly as much. Going to try newer kernels in increments. Can confirm this are working on the a315-41 without boot args so far.

you can disable cpu core boost if temps get too high at load,i also had problems with wireless but they were resolve by disabling ipv6 with a grub parameter

Kalin Stoyanov (kgstoyanov) wrote :

So what does that mean, now it's an Ubuntu issue (i.e. the others find a way to work around the broken bios not that it's ubuntu's fault)? Anyone tried it on Debian?

siyia (siyia) wrote :

try installing kernel 5.0 on ubuntu anything lower than 4.20 is a no go for these laptops

A315-41-RX8R here. With 1.13 still cannot boot into manjaro default 4.20 kernel without ivrs_table\noapic tricks. CPU soft lockup

Soft lockups now occurs even with ivrs_table arguments in place.

After update to 1.13 my touchpad doesn't work in Linux. Not recommending

Manjaro 5.0.2 kernel can start without exotics with 1.13 bios. Wi-Fi firmware(ath10k), however, dies right after getting into DE. Interestingly - vulkan bugs with Vega 8 went away with this update. Hibernation works (but unbelievable slow and artifacting while processing). TurboBoost after hibernation works. WI-FI ressurected after waking up from hibernation.

Michael J (drvrmike1) wrote :

 Distro I'm running is Fedora 29 on an A315-41. Now under 4.19 kernel, no ivrs args needed, Touchpad works, secure boot, WiFi, etc. works. Overall, the most stable this laptop has ever been. Kernel 4.20, softlocks immediately upon boot, need to add ivrs args back and acpi goes to physical flat. Touchpad still works. Now for living on the edge, vanilla mainline git 5.1x, still need ivrs args, touchpad does not work, and cursor tearing in middle half of screen. Ugh. This is more of a regression than 4.20 was. I had Debian Working with backported 4.18 and updated amd firmware blobs, I could never get Ubuntu to work at all.

Michael J (drvrmike1) wrote :

5.1 kernel cursor tearing at x-axis=0, however, take with a grain of salt as I don't have the newest Mesa, vulkin, etc. Perhaps someone can hack a HP or Lenovo bios and see what the differences are, as they have the same main board as us [metapod_rr]? Or just hack those bioses to work in these. Can't see why not, same board, same insyde crap bios?

to revive touchpad after 1.13 do:

sudo modprobe -r i2c_hid
sudo modprobe i2c_hid

as for the wireless problem i ve opened a back report here:

https://bugzilla.kernel.org/show_bug.cgi?id=202971

please get into the cc list if you have problems with the wireless

Hello i finally found a fix for the wireless problem,check your dmesg for Bad TLP or Bad DPP errors,
if you suffer from those add the parameter pcie_aspm=off in grub update-grub and reboot.The errors should be gone and your atheros wireless should work fine after every reboot.

Michael J (drvrmike1) wrote :

Can confirm with the pcie_aspm=off arg. Had to use it after upgrading to more recent kernels and seeing the complaints in dmesg [PCI 01.7, sometimes PCI 01.6, if not mistaken]. Only appears once during boot though, never after, and only with kernels 4.20 and newer. Wireless performance is not good at all regardless, even in Windows.

So can we close this bug report now or not?

I think we should wait till more people try 1.13 bios with 5.0 kernel and confirm that laptop is now usable

Created attachment 281951
attachment-3442-0.html

I'll compile a 5 series kernel and get back sometime this week week.

On Thu, Mar 21, 2019, 10:49 <email address hidden> wrote:

> https://bugzilla.kernel.org/show_bug.cgi?id=200087
>
> --- Comment #121 from Vladislav Kamenev (<email address hidden>) ---
> I think we should wait till more people try 1.13 bios with 5.0 kernel and
> confirm that laptop is now usable
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.

Running a 2200U with Bios 1.13 and Kernel 5.0.3, and I still soft lock without pci=noacpi in grub before boot. Fan definitely is running at 100% after booting as well. With pci=noacpi, I can boot, but the touchpad does not work, although I haven't attempted to work on that problem yet.

Michael J (drvrmike1) wrote :

Bugs still persist with bios 1.13 and 5.0+ kernels. Advanced touchpad doesn't work out the box like 4.19 and 4.20 did, new dmesg errors about pcie powersaving [use pcie_aspm=off to fix], complaints about not locating smbus and iommu too late in the boot (sometimes causing softlocks [fix with Ives args]), and acpi tables not all loading [11 successful]. These bugs persist, so should not be closed. I think someone with some handy bios skills should look at what Lenovo and HP have done with their bioses vs ours as their MBs [same] work well now. It's been over a year since these computers have been on the market without much in the way of Linux compatibility. I doubt Acer will bother to debug correctly as it works with Windows and that's the only thing they're concerned about supporting, unfortunately. If we close this bug report, then we all might as well give up on these machines.

Ness are you using secure boot?

your fan runs at 100% because you use pci=noacpi

It does not work for me with Kernel 5.0.2 generic under ubuntu 18.04. I don't see why this should be closed when the bios clearly does not fix it for all users

Created attachment 281993
attachment-495-0.html

Yep still get hard lock if I don't add both missing IVRS table data for
0:00.2 and 0:14.0 . But, I no longer require i8042.nopnp to get touchpad
working, but it does complain about an AUX port being disabled and if it's
incorrect it says to use i8042.nopnp. tested with Git
freedesktop.org/~agd5f/linux amd-staging-drm-next.

On Thu, Mar 21, 2019, 14:32 <email address hidden> wrote:

> https://bugzilla.kernel.org/show_bug.cgi?id=200087
>
> --- Comment #125 from siyia (<email address hidden>) ---
> your fan runs at 100% because you use pci=noacpi
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.

There should be some improvement because using the new BIOS, the suspend-resume cycle works much better for me. 41G

Darksurf you have that proper Acer support contact where they tried to help you/us. Would you not like to send them a lovely mail asking if they could delegate a little team for Linux kernel support/development as the biggest Notebook manufacturer in EU and one of the biggest in the USA. This should be a must have.

Created attachment 282041
attachment-7631-0.html

What blows my mind is they used Linpus Linux (fedora spin) for specific
laptops that come default on the laptop. They surely already have a team, I
don't they write their own BIOS which appears to be the problem to me.
Missing data in the IVRS tables is the only issue I have. Otherwise
everything works great. I can try to locate the contact and send him
another email to let him know the situation has improved, because I too
seems to have great suspend resume support now after the BIOS update. Maybe
the correct thing to do would be complain to linpus.com support?

On Tue, Mar 26, 2019, 08:55 <email address hidden> wrote:

> https://bugzilla.kernel.org/show_bug.cgi?id=200087
>
> --- Comment #127 from <email address hidden> ---
> There should be some improvement because using the new BIOS, the
> suspend-resume
> cycle works much better for me. 41G
>
> Darksurf you have that proper Acer support contact where they tried to help
> you/us. Would you not like to send them a lovely mail asking if they could
> delegate a little team for Linux kernel support/development as the biggest
> Notebook manufacturer in EU and one of the biggest in the USA. This should
> be a
> must have.
>
> --
> You are receiving this mail because:
> You are on the CC list for the bug.

Both way worth a try. You could be right about Linpus, we should figure out where is the team which patched linpus kernel for these notebooks.

Updated kernel from 5.0.2 to 5.0.4 and now i'm getting hardlocks on boot. On 5.0.2 i could boot without any special kernel arguments

LoL downgraded kernel back to 5.0.2, which i considered OK and still i cannot boot into system without special arguments, like i did before when 5.0.2 was latest in repos. Seems like some other package broke my experience.
Distro: Manjaro

i am using manjaro linux with 5.0.3 and latest updates all runs well here,have you tried disabling secure boot?

You won't believe me. When i have mouse usb plugged in usb 2.0 that near power plug - my boot is OK. When it is not - hard lockup on boot

only that port works and you dont lockup?second usb2 port?

Or i'm very lucky and this is coincedence or yes, when my mice is connected (doesn't have other usb devices at the moment) to usb 2.0 that is nearest to power plug my boot is successfull without any special kernel arguments.

maybe you have a "unique" mouse?try a different usb mouse and reboot

Even with my tricks i cannot boot into 5.0.5 Manjaro kernel. Downgrading to 5.0.2 make my laptop booting without issues

Hi Bounces,
We're very sorry about it and it is a known issue. We'll be fixing it after some of our patches are backported.

--
Software Engineer, MLSE
AMD, Advanced Micro Devices
Phone: +86-13761283909
Adam Yang

________________________________
From: <email address hidden> <email address hidden> on behalf of mazahakaforever <email address hidden>
Sent: Friday, April 5, 2019 4:25:15 PM
To: Yang, Adam
Subject: [Bug 1776563]

Even with my tricks i cannot boot into 5.0.5 Manjaro kernel. Downgrading
to 5.0.2 make my laptop booting without issues

--
You received this bug notification because you are a member of AMD Team,
which is subscribed to amd.
https://bugs.launchpad.net/bugs/1776563

Title:
  Acer Aspire A315 IOAPIC failure on Ubuntu 18.04, kernel hangs, can't
  load, kernel freeze (AMD Ryzen 5/Radeon/Raven) / AMDGPU Hybrid crash

Status in amd:
  Fix Released
Status in Linux:
  Incomplete
Status in linux package in Ubuntu:
  Triaged
Status in linux-firmware package in Ubuntu:
  Confirmed

Bug description:
  CPU: Ryzen 5 2500U
  VGA: Radeon 535
  Notebook: Acer Aspire A315

  This is a brand new notebook on the market with Ryzen 5/Radeon.
  The default kernel of Ubuntu(18.04) hangs at loading with message:

  tsc: Refined TSC clocksource calibration: 1996.250 MHz
  clocksource: tsc: mask: 0xffffffffffffffff max_cycles: (...), max_idle_ns: (...)
  Soft lockup

  Using pci=noacpi kernel parameter kernel loads without any problem but
  my notebook produces more heat than on Win10. If I know right Acer
  notebooks need ACPI to the correct power management.

  The same thing happens on mainline 4.17,4.18rc1-2.
  BIOS upgrade to the latest version: 1.08 hasn't helped

  This problem has been reported upstream:
  https://bugzilla.kernel.org/show_bug.cgi?id=200087

  The latest correctly working kernel was 4.13.* but the heat problem
  was present with this too.

To manage notifications about this bug go to:
https://bugs.launchpad.net/amd/+bug/1776563/+subscriptions

Strange i can boot with 5.0.5 on my acer laptop.

Seth Forshee (sforshee) on 2019-04-05
no longer affects: linux-firmware (Ubuntu)
Richard Baka (bakarichard91) wrote :

Hi Adam,

Thanks for the contribution.

I checked it and i got comfused,does he mean that there is a fix for the ioapic issue, or for Vladislav's issue?

There is a fix for this whole thing I think, he just made an answer to the latest comment:

 In Linux Kernel Bug Tracker #200087, eutychios23 (eutychios23-linux-kernel-bugs) wrote 2 hours ago: #416
Strange i can boot with 5.0.5 on my acer laptop.

Reply on Linux Kernel Bug Tracker

He has changed the bug status to "Fix Released" on Ubuntu's Launchpad.

No, he hasn't changed the status. This is the status change:

Aroiu Ovidiu (ixanneo) on 2018-11-20
Changed in amd:
status: Fix Committed → Fix Released

Something doesnt sound right here, it's been over a year that this problem is known and nobody from AMD team commented on this, not even that they are working on it. Now out of a sudden one of their engineers claims they solved it but doesnt attach any kernel patch or info on the issue, just marks it as fix released. Another thing that is weird is that we are almost sure its a BIOS issue according to posts above, so this "fix" might be the same thing that ivrs kernel options do.
As for the issue you can verify its existance by the buzzing sound that power components do on the Acer's mainboard when ACPI doesnt work like it should. At Windows 10 the buzzing sound if you take close attention exists where the power management works correctly.

Hi Adam,

Thanks for your answer. We are waiting the patches.

Best Regards
Richard

Yang, Adam <*>
2019. 04. 05., P, 17:04
Hi all,
We're still currently verifying the patches (not one patch but a lot) so please be patient and be careful about your upgrades from old working kernel (which we are so sorry for the inconvenience). I'll comment and change status about related issues if the patches are merged and *released* as upgrades. Thanks for your patience.

--
Software Engineer, MLSE
AMD, Advanced Micro Devices
Phone: *
Adam Yang
From: <email address hidden> <email address hidden> on behalf of Richard Baka <*>
Sent: Saturday, April 6, 2019 12:52:52 AM
To: Yang, Adam
Subject: Acer notebook firmware issue

Dear Adam,

Regarding this bug: https://bugs.launchpad.net/bugs/1776563 I would like
to ask you where/how will the released fix be appeared. Is there any
kernel commit or we should wait for the manufacturer's reaction?

Thanks,

Thanks for the informative paste Richard, sorry for my frustration but for most of us the waranty of the laptop is almost expired and the issue still exists.

Kung Lao, the market share of Linux desktop is very low so supporting it hasn't got high priority, unfortunately. However the manufacturers should be more flexible because of the future opportunities.

Market share cannot be an excuse in this case, i've read myriad reviews about lenovo-hp-asus laptops that either worked out of the box with linux, or had a quick bios fix that resolved the issue, acer is just sloppy and lazy.They dont have to support linux directly, but at the very least they could make their bios iasl compliant in order to work with the acpi spec.

Siya market share defines the percentage of workers that get assigned to each problem. So even though Richard is correct that fewer people use Linux on their Acer laptop it still is false-advertising to sell Acer laptop with linux preinstalled when the only thing that boots is their ancient and ultra rare distro. I also noticed from what someone mentioned above that fixes start from flagship models and find their way to the lowest tier. We are probably lucky that same components and BIOS were used with expensive models.

That is not clear if their bios should meet the standards or not. It's also not clear if we should accept that they support Win10 only. I don't really know.

Maybe this is something which is relate to this. What do you think?
https://github.com/torvalds/linux/commit/8aafaaf2212192012f5bae305bb31cdf7681d777

Yea, well said, i spent 400 euros for this acer laptop and it came with linux pre-installed(as an average consumer i thought that this meant linux is supported out of the box), at least they try to fix the issue, but already a year has passed and the results from many bios updates are mixed.If anyone considers buying an acer laptop in the future and want to run linux, isuggest read a review first before buying, because things like these can get really frustrating.

Anyways i am curious, do these laptops work with freesync?anyone tried it?

Michael J (drvrmike1) wrote :

I've never had a computer that didn't work properly with Linux out of the box, from AMD K6 to Intel MacBooks, this is the first. I specifically purchased this as AMD support has always been good on Linux (personally using since Mandrake 8). There really isn't an excuse for bad bios programming, while windows 10 works decent now (also did odd things with v1.01), there can also be security implications from these bugs. As the other poster stated, Acer can at least follow industry standards. Slap win10 on it and sell it; get either Lenovo or HP. Same board, same chip, better support.

Richard Baka (bakarichard91) wrote :

Michael J (drvrmike1), many notebook families (from another manufacturers too) have ACPI problems on linux. Just turn on your older notebook, boot linux and check dmesg, you will see the ACPI table issues. This Acer related thing looks so bad because these notebooks even can't boot without additional parameters. Even so this is just a typical thing.

Aroiu Ovidiu (ixanneo) wrote :

F&£k Acer with all of their s&!t!!! The closed my topic related to bios problems. One pies of s&!t told me that Acer could not help me with info how to brake bios password and because this request...he must close my topic. I never request such a thing!!!!! I thinking about sueing them.This is Acer support!!!!! Such a "great" company!!!!

Michael J (drvrmike1) wrote :

Richard, I understand your point. Yes, time to time there are computers that have specific errors/messages thrown in dmesg [non fatal mostly], but usually can be fixed and solved rather easily (I always look at syslog, etc. on every new install to check/solve specifically for them). I've never, in my experience, have had issues where the system would immediately softlock in this way. Heck, I've even had Linux (and reactOS) running on an old gateway 800MHZ Celeron 192MB RAM run better than this thing! And it didn't softlock out of the box. My issues of contention is that the same MB/CPU combo runs perfectly fine now in both HP and Lenovo's versions of this laptop. It's really just lazy programming on Acer's part; to be honest, there were issues even with win10 on earlier BIOS revisions too. I moonlight as a programmer time to time [bad one at that], however, I dedicate a lot of time to debug my work so it works as expected. These issues, from multiple people, are telling Acer what the problems are and how to resolve them and we are still receiving buggy revisions.Thank you for all your work with this and trying to help us all out. I am willing to get a 8pin clip and deal with the BIOS myself at this point, but I'm not that great at decoding it. Let me know if interested.

Michael J (drvrmike1) wrote :

Also, if the MB/CPU combo are the same, can't we just flash a different Manufactures BIOS onto these. Just a thought.

Richard Baka (bakarichard91) wrote :
Download full text (91.4 KiB)

I've custom (fixed) ACPI tables which can be loaded using grub parameters however similar "AE_ALREADY_EXISTS" conflict occurs because of the original tables. I can't disable the original table load.

[ 0.462398] ACPI: [Firmware Bug]: BIOS _OSI(Linux) query ignored
[ 0.472822] ACPI BIOS Error (bug): Failure creating named object [\_PR.C000._PCT], AE_ALREADY_EXISTS (20190215/dswload2-324)
[ 0.472848] ACPI Error: AE_ALREADY_EXISTS, During name lookup/catalog (20190215/psobject-221)
[ 0.472874] ACPI BIOS Error (bug): Failure creating named object [\_PR.C000._PSS], AE_ALREADY_EXISTS (20190215/dswload2-324)
[ 0.472879] ACPI Error: AE_ALREADY_EXISTS, During name lookup/catalog (20190215/psobject-221)
[ 0.472915] ACPI BIOS Error (bug): Failure creating named object [\_PR.C000.XPSS], AE_ALREADY_EXISTS (20190215/dswload2-324)
[ 0.472922] ACPI Error: AE_ALREADY_EXISTS, During name lookup/catalog (20190215/psobject-221)
[ 0.472966] ACPI BIOS Error (bug): Failure creating named object [\_PR.C000._PSD], AE_ALREADY_EXISTS (20190215/dswload2-324)
[ 0.472973] ACPI Error: AE_ALREADY_EXISTS, During name lookup/catalog (20190215/psobject-221)
[ 0.472983] ACPI BIOS Error (bug): Failure creating named object [\_PR.C000.PPCV], AE_ALREADY_EXISTS (20190215/dswload2-324)
[ 0.472988] ACPI Error: AE_ALREADY_EXISTS, During name lookup/catalog (20190215/psobject-221)
[ 0.472992] ACPI BIOS Error (bug): Failure creating named object [\_PR.C000._PPC], AE_ALREADY_EXISTS (20190215/dswload2-324)
[ 0.472996] ACPI Error: AE_ALREADY_EXISTS, During name lookup/catalog (20190215/psobject-221)
[ 0.472999] ACPI: Skipping parse of AML opcode: Method (0x0014)
[ 0.473001] ACPI BIOS Error (bug): Failure creating named object [\_PR.C000._CST], AE_ALREADY_EXISTS (20190215/dswload2-324)
[ 0.473005] ACPI Error: AE_ALREADY_EXISTS, During name lookup/catalog (20190215/psobject-221)
[ 0.473024] ACPI BIOS Error (bug): Failure creating named object [\_PR.C000._CSD], AE_ALREADY_EXISTS (20190215/dswload2-324)
[ 0.473030] ACPI Error: AE_ALREADY_EXISTS, During name lookup/catalog (20190215/psobject-221)
[ 0.473043] ACPI BIOS Error (bug): Failure creating named object [\_PR.C001._PCT], AE_ALREADY_EXISTS (20190215/dswload2-324)
[ 0.473048] ACPI Error: AE_ALREADY_EXISTS, During name lookup/catalog (20190215/psobject-221)
[ 0.473059] ACPI BIOS Error (bug): Failure creating named object [\_PR.C001._PSS], AE_ALREADY_EXISTS (20190215/dswload2-324)
[ 0.473063] ACPI Error: AE_ALREADY_EXISTS, During name lookup/catalog (20190215/psobject-221)
[ 0.473085] ACPI BIOS Error (bug): Failure creating named object [\_PR.C001.XPSS], AE_ALREADY_EXISTS (20190215/dswload2-324)
[ 0.473092] ACPI Error: AE_ALREADY_EXISTS, During name lookup/catalog (20190215/psobject-221)
[ 0.473136] ACPI BIOS Error (bug): Failure creating named object [\_PR.C001._PSD], AE_ALREADY_EXISTS (20190215/dswload2-324)
[ 0.473143] ACPI Error: AE_ALREADY_EXISTS, During name lookup/catalog (20190215/psobject-221)
[ 0.473153] ACPI BIOS Error (bug): Failure creating named object [\_PR.C001.PPCV], AE_ALREADY_EXISTS (20190215/dswload2-324)
[ 0.473158] ACPI Error: AE_ALREAD...

Another User (another-user) wrote :

Aroiu Ovidiu, had you posted "this topic" problem on acer community site? Or you have another issue?
Also this problem listed on AMD community. And question even marked as answered.
https://community.amd.com/thread/234045

Richard Baka (bakarichard91) wrote :

Noapic kernel parameter is just a workaround not a correct solution for this.

With bios/UEFI 1.13 and kernel 5.0.7 things seems to work.
I got touchpad working by installing https://github.com/Syniurge/i2c-amd-mp2 (master works, the wip-v16 doesn't work and screwed up a lot of things when i tried it so don't try that version).

git clone https://github.com/Syniurge/i2c-amd-mp2.git master
mv master i2c-amd-mp2
cd i2c-amd-mp2
LANG=C sudo ./dkms-install.sh

First i booted with pci=noacpi and with that touchpad wasn't working with bios 1.13 that uses advanced touchpad, it did work with earlier bios that had basic option for touchpad.
Removing pci=acpi and instead using:
ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2
did the trick for me.

I sometimes needs to toogle wifi after suspend, i haven't tried hibernate.
My laptop is an A315-41 non G but it think the G only means that it also has a dedicated graphicscard.
I haven't tried it out much yet but at least things seems to work now.

I forgot to add that some distributions may include i2c-amd-mp2 built in to the kernel and that may be an older non working version.
If that's the case then you need to rebuild the kernel without the patched i2c-amd-mp2 support and then you can add i2c-amd-mp2 as i posted in previous post.
I compiled an non patched vanilla kernel with a custom .conf and then added i2c-amd-mp2 support.
It do work with an non patched vanilla kernel, some distributions patches the kernel so much that i may be the reason that things doesn't work.

"Things seem to work" is a bit confusing here. Can you boot without any parameters? Because it worked with parameters before the bios/kernel patches..

As i wrote i still use parameters.
ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2
For me i couldn't boot with anything other then pci=noacpi before, but now ivrs parameters work and i got a working touchpad.
"Things seem to work" is because i have only used the laptop for a day and i haven't tested every single scenario, but as far as i can tell it works.
I wasn't able to boot with ivrs parameter before and i had no use of the laptop that was only useful as an paperweight, it couldn't suspend or hibernate.
Now i have a working laptop that i can finally use and no fans going berserk.

A315-41 booted with ivrs_ioapic kernel settings since kernel 4.18, nothing new here. Also with ubuntu 19.04 beta the touchpad works without any tricks or custom kernels. The problem is the battery draining fast and rare freezing. We are waiting for the promised fix from AMD.

Maybe it worked with kernel 4.19 with your distribution but touchpad didn't work for me since i only use vanilla kernels without patches.
Ubuntu patches i2c-amd-mp2 support, in older kernel series there was an older version that didn't work for many laptop users that needed to recompile the kernel without that module built in and add the support later, but maybe it works with A315-41 laptops.
In later ubuntu kernels series the i2c-amd-mp2 support is built as a module =m instead so it can stopped from loading, in 4.19 it's still compiled into the kernel =y for both x86_64 and i386 in the kernel config but in 5.0 it's compiled as a module =m for x86_64 but not at all for i386 (source https://kernel.ubuntu.com/~kernel-ppa/mainline).
If that patched support makes your touchpad work good with ubuntu then good for you but not everyone is a ubuntu user.
For vanilla kernels the touchpad support is supposed to land in mainline in kernel 5.2.

It's very easy for people using certain distributions to think that because something works that it's works for everyone, not taking into account the distributions extensive patching and fixes everywhere but also hardware variations.
I use vanilla kernels not patched ones.
I just tried a non patched 4.19 kernel with those options and it did boot, i was also able to get touchpad working with dkms i2c-amd-mp2, so things seems to work with 4.19 as well.
If your distribution use patched kernels you might have had some support with earlier kernels, not because of the linux kernel but rather your distributions patches, so kernel updates might be different with different distributions or if you use a vanilla kernel.

Battery draining, i don't have any drainage battery problems that i am aware of, yesterday i used my laptop for 3 hours on battery, working, looking some youtube, some video from hdd and 25-30minutes of compiling.
I think that the battery uptime is acceptable and i got almost 3h with 4.19 as well but then i didn't compile anything.
I got no idea how long the battery should last but 3h seems ok to me.
How fast do your battery drain?

Aroiu Ovidiu (ixanneo) wrote :

Hello. New kernel parameters to try:

i8042.nopnp
acpi_osi=!
acpi_osi=\"Windows 2009\" (in grub cfg)
acpi_backlight=vendor

Tested on kdeneon and ubuntu 19.04.

Kalin Stoyanov (kgstoyanov) wrote :

These work on 18.04 (suspend/resume etc.), and so far don't cause the performance hit I get with ivrs. Will use the laptop some more tomorrow and see how it goes.

Erik you'd be surpised to know that many people don't use vanilla kernels or don't have special knowledge on linux. It's OK to give details and github patches but it gives the false impression to people who just search their problem, that their
touchpad won't work out of the box.

Ubuntu is not "my distro" is one of the top distros and many projects use it as a proposed base to build like AOSP , Chrome browser etc. It wasn't hostility against you so your defensive stance is unreasonable.

To the battery draining part, I get almost 5 hours with Windows 10 testing and many people commented that this the ultimate goal :) Because you asked about my drain I got 2h40m max watching youtube and IRC talking as I remember.

A fix is prepared so it means THERE IS a problem. Cheers mate.

I dont know what you people are talking about 5hrs of battery life on windows, but on all my budget laptops that run linux i get a max of 3hrs.

If you check the manufacturer specifications, at least for my model it says "Maximum Battery Run Time 6 Hour" ofc this is not realistic, but 5h is. I'm not saying that different OS's should have the same energy behaviour but going from 6h -> 5h -> 3h and less as the battery material degrades is not good. I'm not expert in linux internals but I kept open the CPU usage graph in both windows and linux, and while the percentages were very close with same usage the draining was faster. I didn't put a CPU frequency graph though and I suspect the problem is there, that linux doesnt put it in the lowest needed freq scale when not needed.

For better battery time in linux set the cpufreq governor to "powersave" and check powertop options.

Michael J (drvrmike1) wrote :

The battery in these are weak; only 2 cell (7.7v) @ 4600mah. 6hrs is a pipe dream; perhaps with the screen being off and no apps running, maybe 5hrs. 3hrs or so seem realistic to me, especially watching video. Budget laptop, budget battery.

The latest i2c-amd-mp2 driver will be included in next Ubuntu Bionic, Cosmic and Disco kernel release.

I just tested battery time in windows, with full brightness as i had in previous tests and i was able to get about 15 extra minutes from windows 10, my guess is that's because windows forced a power save mode when there was under 20% left of the battery charge.
There was no compilation in windows.
I didn't see any major difference but i didn't test settings for maximum battery uptime on any of the OS tested.
I used "ondemand" in linux as it was default setting and also default in windows with the only change being full brightness.
I will try different brightness settings in linux to see how it affects battery uptime.
I don't see anything pointing to an battery drainage problem.

@Kai-Heng Feng is that v15 of the patch series?
Will it be compiled into the kernel or as a module?

Erik, try that what I wrote. Powersave mode + powerop (enable all powersave settings)

Erik, try what I wrote: powersave option + powertop settings enabled.

Windows 10 when installed and at first day(s) make a lot of tests for system health and configuration, especially when idle, even .NET compilations. Another factor is the edition you use with/without store and universal apps that run in the background. Most of all you need to use the power profile that Acer provides. Do you have the model with SSD, do you have the extra GPU model, do you use high/low brightness... For me Windows 10 give almost 5 hours max but average use 4 1/2 maybe. I compared with Ubuntu default settings and low brightness with same hardware and got almost 3 hours battery time.

Richard I haven't tried yet the powersave settings, I will wait for the final release of 19.04 to re-install it on my hard disk.

Eric I compare optimized Windows 10 with the bare minimum options and configured for energy saving rather than performance. Since I'm not good at linux I can't do the same there to have an accurate result. This feels like testing apples with oranges but still is the most I can do. I will try Richard's settings and see... Sorry for getting out of subject for everyone who reads.

I'm using Elementary OS 5 on Acer Aspire A315-41 with kernel 5.0.7 and the workaround indicated by Erik (#156). After the workaround everything worked well but noticed a strong battery drain.

Installed tlp, restarted the machine and the battery lasts around twice as much, comparable to a windows machine. I can say it solved the battery issue for me.

Manjaro 5.0.2 kernel here. As i reported before most of my bootings w\o any kernel parameters are fine, but today i found out that my 2500u won't boost any further 2.0ghz. Idk whether it caused by sleep or my cpu was like that right after boot sequence. I used to write ivrs_table argument with 4.20 kernel and then sleep\hibernation went off, but CPU were boosting up to 3.6 ghz as supposed to.

tl;dr even if it would be possible to boot without any tricks in kernel arguments some features of cpu would still be borken

So, manjaro 5.0.7 boot with this cmdline
BOOT_IMAGE=/boot/vmlinuz-5.0-x86_64 root=UUID=7185a279-f7e5-4189-b218-39f49eedce8a rw quiet loglevel=3 vga=current rd.systemd.show_status=auto rd.udev.log-priority=3 pcie_aspm=off vt.global_cursor_default=0 resume=UUID=12aa527f-2e4d-4587-bae6-d99a220acf6c

CPU doesn't boost itself any further than 2.0 ghz. Gonna check 5.1-rc4 with AMD fixes later

try running mprime to check cpu frequency scaling,mine could run at 3.6ghz and after i disable turbo boost runs max at 2.5ghz

[petrovich@aspire-a315-41g ~]$ cat /proc/cpuinfo | grep MHz
cpu MHz : 2994.548
cpu MHz : 2994.549
cpu MHz : 2994.347
cpu MHz : 2994.346
cpu MHz : 2994.540
cpu MHz : 2994.543
cpu MHz : 2994.400
cpu MHz : 2994.400

Kernel 5.1-rc4 (archlinuxcn) fails to boot 3 times out of 4, but CPU boost is OK. CMDline same as in last my message. AFAIK AMD already merged their fixes for ACPI in RC4

also why do you not remap the ivrs tables? there is no drawback in doing so.

When i remap ivrs then my sleep\hibernation doesn't work.

remap the tables and disable secure boot and suspend\hibernate will work on any linux

Could there be that my ivrs_table values differs from others? How to check that 00:14.0 and 00:00.2 are good for me?

you need to get and see an iommu dump, but i dont think that's the issue just disable secure boot and your fine

Turns out my iommu was disabled in bios. I turned it on and ivrs mapping fixes all the issues for me.

you see you shouldnt panick right away, secure boot also causes suspend\hibernation issues for me so if you have further problems disable that too.

I don't need to map ivrs to boot 5.1 successfully 100% times. Seems like you need to have secure boot disabled (i did it like last summer) and iommu ENABLED (my laptop comes with it disabled cuz i only have 1 gpu integrated in CPU).
Please confirm that 5.1 boots for you without any tricks without any issues

i can boot latest 5.0 with no parameters in manjaro, i bet i can boot 5.1 just as well,i am not willing to download and try an in-development kernel right now.

@Vladislav Kamenev i still need ivrs to boot 5.1-rc5 kernel.
Since there was talks about problems with hibernation i even setup a swap file and tested hibernation (Suspend to Disk S4) and it works, i normally only use suspend (Suspend to RAM S3), suspend works with all my kernels 4.19+ and ivrs.

(In reply to Erik from comment #184)
> @Vladislav Kamenev i still need ivrs to boot 5.1-rc5 kernel.
> Since there was talks about problems with hibernation i even setup a swap
> file and tested hibernation (Suspend to Disk S4) and it works, i normally
> only use suspend (Suspend to RAM S3), suspend works with all my kernels
> 4.19+ and ivrs.

Could you please check secure boot and iommu settings in bios?

I have IOMMU and SVM enabled in bios/UEFI.
I toggled Secure boot setting and it doesn't change anything, hibernation works anyway and i still need ivrs to boot.
I tried with secure boot enabled and hibernation works with all my kernels (4.19.34, 5.0.7, 5.1-rc5).
Since i use a swap file for hibernation i did have to add boot parameter resume= and resume_offset= but i doesn't count those since they are only for hibernation with swap-file.
I do have my grub added as a trusted boot if it changes anything.
In earlier bios version i wasn't able to boot with secure boot disabled unless i added it as trusted first, my guess is that it was because off a buggy bios/UEFI.

Yes i got bios 1.13.
The bug with being forced to add my grub as trusted file was in earlier bios and i don't know if it's still in the latest bios as i haven't tried it out.

I got the non G model (no dedicated GPU) A315-41.

The problem with suspend/hibernation was with usb3 port not secure boot, just disable wake from usb devices at xchi0 and xchi1 controllers.

Dear kernel developers,

the ACPI seems to be OK from kernel v 5.1 but only with using the ivrs_ioapic kernel parameters. This is almos a constant failure by these notebooks. Couldn't this be hardcoded somehow into the kernel?
This bug is almost one year old and we know how it can be fixed but we are not kernel developers to make/create the proper patch.

Could you please help us?

Thanks,

Richard

I'm not sure hardcoding them would be so good - I was getting a performance hit when using the ivrs_ioapic params. Now I'm using these ones suggested in the other thread and everything works better for me: https://bugs.launchpad.net/amd/+bug/1776563/comments/445

These don't work for me. I don't think ivrs_ioapic causes performance loss. Why it should? Show me a dmesg!

Aroiu Ovidiu (ixanneo) wrote :

Ivrs_ioapic isn't working with amd-svm and iommu disabled in bios. IMHO this parameters are not the fix, just a partial workaround.

My last parameters are working with any bios settings and any distro.

Ecker Sandor (esanya) wrote :

The parameters mentioned in comment 445 are working for me.

Acer Aspire A315-41 (with only a internal GPU).
Bios 1.11
Linux Mint 19.1
Kernel 5.1 rc

Suspend/resume work.
sensors command shows ~41 degree idle temp.

Thx!

Richard Baka (bakarichard91) wrote :

test

I have tested Ubuntu 19.04. It does not work with the new kernel parameters and does not work with no parameters on my A315-41-GU. ( Parameters: https://bugs.launchpad.net/amd/+bug/1776563/comments/445 )

Ecker Sandor (esanya) wrote :

Ubuntu 19.04 comes with kernel 5.0
see: https://en.wikipedia.org/wiki/Ubuntu_version_history#Ubuntu_19.04_(Disco_Dingo)
I have tested with 5.1

Richard Baka (bakarichard91) wrote :

Please use the ivrs parameters. There is no reason using anything else.

Aroiu Ovidiu (ixanneo) wrote :

With ivrs there are, at least, two problems:

1. Performance drop
2. With IOMMU disabled in bios these are useless

Richard Baka (bakarichard91) wrote :

Aroiu Ovidiu (ixanneo)

1. Could you describe somehow the performance difference?
2. How can I fix the touchpad issue which occurs by using your parameters

Thanks.

Ecker Sandor (esanya) wrote :

What is the issue with the touchpad?
I have not recognized anything with it...

Richard Baka (bakarichard91) wrote :

It doesn't work in advanced mode.

Aroiu Ovidiu (ixanneo) wrote :

Kernel parameter "i8042.nopnp" is to fix touchpad in advanced mode. In Bios 1.13 touchpad is in advanced mode by default and there is no setting for basic.

Richard Baka (bakarichard91) wrote :

I used that too but the touchpad didn't work on Kubuntu 19.04. I had just reinstalled xserver-xorg-input-synaptics package then did a reboot and it works now. The touchpad has now more options in the system settings for example sensitivity. This is a clear improvement. My notebook is faster maybe but I'm not sure. Is there any fact, dmesg message, anything that proves this is better?

Sorry, I think I mistakenly tested Ubuntu 18.04.2: so my previous comment is bollocks: I have tested Ubuntu 19.04. It does not work with the new kernel parameters and does not work with no parameters on my A315-41-GU. ( Parameters: https://bugs.launchpad.net/amd/+bug/1776563/comments/445 ) Will test again..

Richard Baka (bakarichard91) wrote :

Ulf Dellbrügge (ulf-dellbruegge), it should work. Don't use slash \, just quotation marks. Slash was needed only to be able to post the comment here because launchpad filters it.

you (bountou) wrote :

So to be clear. AT THIS DAY, there is still no fix for the A315-41 (without the G!!).

My config (the best result from all my tests) :
- A315-41 Ryzen5 2500U 8 cores 3600mhz
- Linux ubuntu 18.04.2
- bios 1.11 configured (I didnt go to 1.13 while it seems worst on A315-41 series...)
- 4.20 kernel
- ivrs args (rcu_nocbs=0-7 ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2)

it's usable with theses conditions (rarely freeze,all is working,11 ACPI tables loaded & few ACPI BIOS Errors in dmesg) but the main problem is the shitty battery drain (since day 1). (1h30 on linux, 3h on windows) even with low cpu usage (I can reach 3200mhz on stress tests):

cat /proc/cpuinfo | grep MHz
cpu MHz : 1334.217
cpu MHz : 1275.689
cpu MHz : 1282.695
cpu MHz : 1278.429
cpu MHz : 1328.024
cpu MHz : 1300.042
cpu MHz : 1480.938
cpu MHz : 1642.668

I'm using it everyday since months... never far away from my battery charger....

Richard Baka (bakarichard91) wrote :

Please read the previous comments, and install tlp

Richard Baka (bakarichard91) wrote :

use these kernel parameters: i8042.nopnp acpi_osi=! acpi_osi=\"Windows 2009\" acpi_backlight=vendor
\ don't write slashes, that is just for can be able to post the comment here

sudo update-grub
sudo apt install --reinstall xserver-xorg-input-synaptics
sudo install tlp
sudo reboot

enjoy

Richard Baka (bakarichard91) wrote :

*being able

Richard Baka (bakarichard91) wrote :

Lid closing suspend doesn't work, any workaround?

Kalin Stoyanov (kgstoyanov) wrote :

maybe try this on and remove nopnp? Although 1) I couldn't make it work (maybe I did it wrong, i'm a noob) 2) it was about suspend with the lid open not working.
I any case siyia said nopnp screwed with suspend. It is most likely the case, I think if it works when you disable the touchpad that's it for sure
https://bugs.launchpad.net/amd/+bug/1776563/comments/367

Richard Baka (bakarichard91) wrote :

I'm sure this is a touchpad related problem because suspend works if touchpad is disabled. We are very close :).

Richard Baka (bakarichard91) wrote :

I have to undo everything. It seems to be the best options is still the ivrs parameters. Not the i8042.nopnp causes the sleep problem but these acpi_osi=! acpi_osi=\"Windows 2009\". This is what I use now:

i8042.nopnp ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=0:00.2

you (bountou) wrote :

I did read everything. tlc did not help (or maybe not so much). I'm usually using my battery from 80/90% to 15/20% for 1h30/2h on linux.

I didnt try since a some time but as I remember I can reach 3h/3h30 on windows.

Richard Baka (bakarichard91) wrote :

I've modified energy/power management settings in plasma (I don't know what exactly) but the lid-closing suspending works correctly now with these: i8042.nopnp acpi_osi=! "acpi_osi=Windows 2009" acpi_backlight=vendor

my a315-41 works fine with arch linux when i append parameters with acpi_osi="Linux"

acpi_osi="Linux"? That's all? Or do you append other parameters, vladimir220022?

Vladimir (logxx) wrote :

yes, that's it

Interesting. It does Boot with acpi_osi=Linux, but dmesg/systemctl still shows complaints about IVRS 4 and 5. Did we already establish some commands to verify the full functionality of ACPI of this model?

Vladimir (logxx) wrote :

strangely, it doesn't work with ubuntu

@(In reply to logxx from comment #195)
> my a315-41 works fine with arch linux when i append parameters with
> acpi_osi="Linux"
Do you use any other options or overrides?
cat /proc/cmdline
What kernel works for you with only acpi_osi="Linux"?
What does your dmesg look like?
I have previously tried acpi_osi="Linux" with bios/UEFI 1.13 and had no luck with it.

well, i haven't used any other options, it works with kernel 5.1.14, dmesg still complains about missing entries and iommu perf writing

repeating myself, cuz launchpad sync lags:
well, i haven't used any other options, it works with kernel 5.1.14, dmesg still complains about missing entries and iommu perf writing

I think this problem has been verified because it affects many people.

[SUMMARY]
Kernels (even the newest) can't load on same Acer and Lenovo notebook types because of this error and freezing:
https://bugzilla.kernel.org/attachment.cgi?id=276591
Tsc clocksource calibration then soft lockup

There are several workaround for this which can help to identify this.

1. noapic kernel parameter
2. ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2
(these are maybe the smbus and iommu controllers )
3. acpi_osi=! acpi_osi=\"Windows 2009\"
(no automatic stanby mode with this)

I can attach more recent dmesg logs and even SSDT DSDT tables if that is needed.

I think all necessary information are available to fix this problem, so !!!PLEASE DON'T SPAM!!! this thread from now on. It won't help.

Changed in linux:
status: Incomplete → Fix Released

cc <email address hidden>, who works on the amd iommu driver.
Maybe he can provide some help for this issue.

Created attachment 283551
amd_iommu_dump=hw dmesg 5.2.0-050200rc6

Dmesg about an accidental case when the kernel starts correctly without additional parameters, except of amd_iommu_dump=hw

i think somebody needs to test this on new 5.2 kernel cuz there are some iommu stuff in git log

There is no change, I've tested it. Please let us wait for the AMD developer who can fix this.
https://github.com/torvalds/linux/search?q=iommu&type=Commits

Actually, i've tried some puppy linux before, and it was bootable without editing anything

For IOMMU-related part, as mentioned above, the IVRS table does not list the correct IOAPIC IDs. This would cause driver to disable interrupt-remapping support provided by HW IOMMU.
Here the "ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2" boot option is needed to override the table. Permanent solution would be for laptop OEMs (e.g. Acer, Lenovo) to fix this in their BIOSes.

Another alternative would be:
* Disable IOMMU in the BIOS (which should also get rid of the IVRS table)
* Disable HW IOMMU and use SWIOTLB for any DMA-remapping (iommu=soft)

However, I'm not sure about why the "noapic" option is needed.

Hi Suravee Suthikulpanit,

Thank you for the reply.
noapic is not needed, that had been just a worse option before we found out the ivrs option.

So you say this can not be fixed in kernel permanently. I would be happy if no kernel parameter was needed. Many people don't know about this, especially beginners who just want to use fe.: Ubuntu.

I don't think manufacturers will fix this.

You are here the only one who can give us hope.

(In reply to Suravee Suthikulpanit from comment #204)
> For IOMMU-related part, as mentioned above, the IVRS table does not list the
> correct IOAPIC IDs. This would cause driver to disable interrupt-remapping
> support provided by HW IOMMU.
> Here the "ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2" boot option is
> needed to override the table. Permanent solution would be for laptop OEMs
> (e.g. Acer, Lenovo) to fix this in their BIOSes.

Is it possible to use DMI based quirk to override the tables?

Or in this cases why does the kernel not find the pci "devices" somehow like we do?

Have just installed arch linux with kernel 5.22 with ivrs parameters. After that, it loads without any parameters! Maybe it's because of amd-ucode that i have also installed, but i am not sure. I haven't install GUI yet, so i'll investigate further

ohh, nvm, just got soft lockup again

Brad Figg (brad-figg) on 2019-07-24
tags: added: cscc

(In reply to Suravee Suthikulpanit from comment #204)
> Another alternative would be:
> * Disable IOMMU in the BIOS (which should also get rid of the IVRS table)
Ironically, my Acer A315-41 ships with IOMMU disabled by default (maybe because its a modification w\o dGPU) and i got rid of soft lockups by explicitly turning it on in BIOS

Created attachment 284087
attachment-12743-0.html

Leave during Aug 1st ~ 7th, mail response maybe very slow.

Aroiu Ovidiu (ixanneo) wrote :

There is new bios version!

Tested Ubuntu 18.04.03 LTS. There were no soft lockups. Only error messages in journalctl, complaining about ivrs 4 and 5. Also booted a live iso of MXLinux 18.3 with no issues as well. The new bios update seems to do .. something.

How to update the BIOS:
Click "DH5JV115.exe" under Winodows mode

Release Note:
1. Update PI code v1.1.0.8.

https://www.acer.com/ac/de/DE/content/support-product/7540?b=1 (german website for model Aspire A315-41)

I will boot some other distributions and see what happens..

Tails now boots without lockup after updating to new bios..

Aroiu Ovidiu (ixanneo) wrote :

Mint boots too, without any params...

After I had installed the new bios from Acer support site the kernel loaded with and even without ivrs kernel parameters however the GUI didn't start if I used the ivrs parameters.
Could somebody confirm this?

So the new bios cuold be a fix for this issue.

Are there still complains about acpi in dmesg? Also, what distro have you tried? I can't test it now, cuz i don't want to reinstall windows again (i have no spare disks).

Hunk (enrique-garciasimon) wrote :

I had "ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2" on 18.04.03LTS with BIOS v1.13 on A315-41-R909
Just flashed v1.15 and now it boots ok without any extra parameters
I share some info from /var/kernel.log

It is better to keep "ivrs_ioapic[4]=00:14.0 ivrs_ioapic[5]=00:00.2" for better performance (see below related Firmware Bug lines)?

If someone needs some more logs in order to improve the solution, just ask

Thanks in advance

In boot without extra parameters, and:

-New lines with "Firmware Bug"

Aug 16 17:13:20 enrique-Aspire-A315-41 kernel: [ 0.123596] AMD-Vi: [Firmware Bug]: : IOAPIC[4] not in IVRS table
Aug 16 17:13:20 enrique-Aspire-A315-41 kernel: [ 0.123598] AMD-Vi: [Firmware Bug]: : IOAPIC[5] not in IVRS table
Aug 16 17:13:20 enrique-Aspire-A315-41 kernel: [ 0.123599] AMD-Vi: [Firmware Bug]: : No southbridge IOAPIC found

-This line with "Firmware Bug" does not disappear, but it seems not critical (it was booting before and it boots now)

Aug 16 17:13:20 enrique-Aspire-A315-41 kernel: [ 0.179342] ACPI: [Firmware Bug]: BIOS _OSI(Linux) query ignored

-New line appears (it wasn't before) which shows something new about iommu

Aug 16 17:13:20 enrique-Aspire-A315-41 kernel: [ 1.314978] perf/amd_iommu: Detected AMD IOMMU #0 (2 banks, 4 counters/bank).

Vladimir (logxx) wrote :

Is there a way to update bios without installing windows?

Yes there is,download windows 10 PE iso and create a boot able USB drive with woeusb, I did it twice

Sent from Yahoo Mail on Android

  On Sat, Aug 17, 2019 at 11:11, Vladimir<email address hidden> wrote: Is there a way to update bios without installing windows?

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1776563

Title:
  Acer Aspire A315 IOAPIC failure on Ubuntu 18.04, kernel hangs, can't
  load, kernel freeze  (AMD Ryzen 5/Radeon/Raven) / AMDGPU Hybrid crash

Status in amd:
  Fix Released
Status in Linux:
  Fix Released
Status in linux package in Ubuntu:
  Triaged

Bug description:
  CPU: Ryzen 5 2500U
  VGA: Radeon 535
  Notebook: Acer Aspire A315

  This is a brand new notebook on the market with Ryzen 5/Radeon.
  The default kernel of Ubuntu(18.04) hangs at loading with message:

  tsc: Refined TSC clocksource calibration: 1996.250 MHz
  clocksource: tsc: mask: 0xffffffffffffffff max_cycles: (...), max_idle_ns: (...)
  Soft lockup

  Using pci=noacpi kernel parameter kernel loads without any problem but
  my notebook produces more heat than on Win10. If I know right Acer
  notebooks need ACPI to the correct power management.

  The same thing happens on mainline 4.17,4.18rc1-2.
  BIOS upgrade to the latest version: 1.08 hasn't helped

  This problem has been reported upstream:
  https://bugzilla.kernel.org/show_bug.cgi?id=200087

  The latest correctly working kernel was 4.13.* but the heat problem
  was present with this too.

To manage notifications about this bug go to:
https://bugs.launchpad.net/amd/+bug/1776563/+subscriptions

I was able to boot without adding ivrs parameters.

I tried multiple GNU/Linux OSes, they show Firmware bug but it gets booted.

Created attachment 284479
boot

siyia (siyia) wrote :

 specifically i used this iso: Win10586PESE-x64 with woeusb,booted it and ran the bios program provided by acer

|
|
|
| | |

 |

 |
|
| |
Win10586PESE-x64

Windows Recovery Tools - Bootable PE Rescue Disk 64Bit ISOCreated a Custom Windows 10 Recovery Tools and Bootabl...
 |

 |

 |

    Στις Σάββατο, 17 Αυγούστου 2019, 1:37:39 μ.μ. EEST, ο χρήστης <email address hidden> <email address hidden> έγραψε:

 Yes there is,download windows 10 PE iso and create a boot able USB drive with woeusb, I did it twice

Sent from Yahoo Mail on Android

  On Sat, Aug 17, 2019 at 11:11, Vladimir<email address hidden> wrote: Is there a way to update bios without installing windows?

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1776563

Title:
  Acer Aspire A315 IOAPIC failure on Ubuntu 18.04, kernel hangs, can't
  load, kernel freeze  (AMD Ryzen 5/Radeon/Raven) / AMDGPU Hybrid crash

Status in amd:
  Fix Released
Status in Linux:
  Fix Released
Status in linux package in Ubuntu:
  Triaged

Bug description:
  CPU: Ryzen 5 2500U
  VGA: Radeon 535
  Notebook: Acer Aspire A315

  This is a brand new notebook on the market with Ryzen 5/Radeon.
  The default kernel of Ubuntu(18.04) hangs at loading with message:

  tsc: Refined TSC clocksource calibration: 1996.250 MHz
  clocksource: tsc: mask: 0xffffffffffffffff max_cycles: (...), max_idle_ns: (...)
  Soft lockup

  Using pci=noacpi kernel parameter kernel loads without any problem but
  my notebook produces more heat than on Win10. If I know right Acer
  notebooks need ACPI to the correct power management.

  The same thing happens on mainline 4.17,4.18rc1-2.
  BIOS upgrade to the latest version: 1.08 hasn't helped

  This problem has been reported upstream:
  https://bugzilla.kernel.org/show_bug.cgi?id=200087

  The latest correctly working kernel was 4.13.* but the heat problem
  was present with this too.

To manage notifications about this bug go to:
https://bugs.launchpad.net/amd/+bug/1776563/+subscriptions

Arch blinks when booted without ivrs parameters

Grub is also slower now, and fn keys don't do anything

Oh, actually they do, i forgot something

So there are no drawbacks with the new v1.15 bios?

Created attachment 284501
attachment-14516-0.html

 slower bootloader, but you can downgrade if you want, after updating to 1.15

    Στις Δευτέρα, 19 Αυγούστου 2019, 1:52:58 μ.μ. EEST, ο χρήστης <email address hidden> έγραψε:

 https://bugzilla.kernel.org/show_bug.cgi?id=200087

--- Comment #219 from Erik (<email address hidden>) ---
So there are no drawbacks with the new v1.15 bios?

For the grub lagging, try this:
sudo nano /etc/default/grub
GRUB_GFXMODE=1280x800
sudo update-grub

If this doesn't fix it you can try another resolutions.

Created attachment 284503
attachment-21893-0.html

 i use refind not grub

    Στις Δευτέρα, 19 Αυγούστου 2019, 3:07:45 μ.μ. EEST, ο χρήστης <email address hidden> έγραψε:

 https://bugzilla.kernel.org/show_bug.cgi?id=200087

--- Comment #221 from <email address hidden> ---
For the grub lagging, try this:
sudo nano /etc/default/grub
GRUB_GFXMODE=1280x800
sudo update-grub

If this doesn't fix it you can try another resolutions.

I have now upgraded to bios v1.15 and everything seems to work as expected and i don't need to override IVRS anymore.
I couldn't replicate the slow boot loader, tried grub 2.04 and elilo and both was working as fast as always.
This bug is finally fixed in bios update.

Erik, have you updated bios with Windows or have you used some other way to do it? Do suspend work fine in linux now?

As for me, not only GRUB is slower now, but the bios is also a little

(In reply to logxx from comment #224)
> Erik, have you updated bios with Windows or have you used some other way to
> do it? Do suspend work fine in linux now?
I used windows to upgrade bios.
Didn't suspend work for you before?
I been using suspend and hibernate for a long time, well i almost never use hibernate but last time i tried it did work.
Is grub and bios real slow and sluggish or usable?

Under KDE, suspend doesn't work with recent kernels, see https://bbs.archlinux.org/viewtopic.php?id=247761, the BIOS is usable, but grub feels a lot slower than it was

also, i have noticed that one of usb 2.0 ports is not always working right in linux (dunno if bios update caused it)

Hi I have the same issue on Acer Ryzen 5, How to confirm status of the bug as mentioned above,
I have enterered the command for this and gave the permission for one week.

I was able to run the command by making the bios and on default settings and booting again, but when reboot again it shows the error.

mprotic (mprotic) wrote :

This seems to be finally fixed by 1.15 firmware on Acer A315 41G.

Everything works, can boot without kernel params, suspend and function keys works and powertop is down to ~7W idle (used to be ~14w) with 3+ hours of battery time.

GRUB is slow, but it is just a minor annoyance.

Pavel (pkzm) wrote :

Confirm that the update to 1.15 has fixed it all, touchpad included. GRUB is indeed slow but no big deal.

Pavel (pkzm) wrote :

Touchpad again stopped working, "disappeared" from the xinput list on kernel upgrade to 5.0.0-27. Works again when reverted to 5.0.0-25.

Vladimir (logxx) wrote :

So, how is it, guys? Have you noticed any downsides with 1.15 BIOS in linux? Do you still use ivrs and aspm stuff?

So far it has been quite good. Some report a "slow grub". Sometimes I have to reboot because no wifi card detected.

I was trying another kernel parameters and noapic seems to work. It is not needed to disable the whole ACPI "service" https://www.icrwatch.com/
, however I don't know how important apic is. On kernel 4.18 even temperature sensors appear.

(In reply to jacky from comment #229)
> I was trying another kernel parameters and noapic seems to work. It is not
> needed to disable the whole ACPI "service"
> , however I don't know how important apic is. On kernel 4.18 even
> temperature sensors appear.
You should update your bios to v1.15 after that you don't need any overrides.
After that you can remove the noapic since it isn't needed.
Please don't post spam links.

I tested MX Linux for the past weeks and it was stable as a whole, but WLAN, bluetooth and USB often dissapeared for no reason and forced me to reboot.

Nice post. I learn something totally new and challenging on blogs I stumbleupon on a daily basis.https://techbaby.pro/err_cache_miss/ It's always exciting to read articles from other writers and use something from their sites.

Any experiences with other distributions in the last months? Especially regarding stability? WLAN and Bluetooth work all the time? USB devices always show up when you connect them? I could really use some feedback about your choosen / favorite distribution on this notebook after patch 1.15.
Warm regards
Ulf

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.